{ "levels":[

{
"number":1, 
"name": "Connect the Dots",
"difficulty": 1,
"description": ["Just connect the dots.", "Touch Start to begin."],
"tips": ["Just connect the dots."],
"columns": 4, "rows": 1, "colors": [2],
"objectives":
[
{"type":1, "targetValue":2, "visible":false},
],
"star_thresholds": [2, 3, 4],
"powerups": [],
"enable_leaderboard": false,
},

{
"number":2, 
"name": "More Colors",
"difficulty": 1,
"description": ["Clear out dots by connecting", "dots of the same color.", "Note: diagonals are not allowed."],
"tips": ["Clear out dots by connecting", "dots of the same color.", "Note: diagonals are not allowed."],
"columns": 4, "rows": 4, "colors": [1,2,3,4],
"objectives":
[
{"type":1, "targetValue":20, "visible":false},
],
"star_thresholds": [1, 10, 20],
"powerups": [],
"enable_leaderboard": false,
},

{
"number":3,
"name": "Make a Loop",
"difficulty": 1,
"description": ["Your first loop."],
"tips": ["Draw a loop.", "Loops clear ALL dots of that color."],
"columns": 5, "rows": 5, "colors": [1,2,3,4],
"starting_board": {"8":2, "9":2, "5":2, "13":2, "14":2, "16":2, "21":2, "24":2, "1":2 },
"moves_limit": 1,
"extra_moves": 0,
"objectives":
[
{"type":3, "color":2, "targetValue":1},
],
"tutorialPointerPath":[9, 8, 13, 14, 9],
"star_thresholds": [1, 4, 4],
"powerups": [],
"enable_leaderboard": false,
},

{
"number":4, 
"name": "More Dots",
"difficulty": 1,
"description": ["More dots = more practice."],
"tips": ["Clear 30 dots."],
"columns": 6, "rows": 6,
"objectives":
[
{"type":1, "targetValue":30},
],
"star_thresholds": [1, 30, 30],
"powerups": [],
"enable_leaderboard": false,
},

{
"number":5, 
"name": "Limited Moves",
"difficulty": 1,
"description": ["Some levels give you limited moves.", "Score at least 60 points in 30 moves."],
"tips": ["Score at least 60 points in 30 moves."],
"columns": 5, "rows": 5,
"moves_limit": 30,
"max_moves_bonus": 0,
"extra_moves": 0,
"star_thresholds": [60, 100, 120],
"powerups": [],
"enable_leaderboard": false,
},

{
"number":6,
"name": "More Looping",
"difficulty": 1,
"description": ["Make 4 loops.", "You have 30 moves to do it."],
"tips": ["Make 4 loops.", "You have 30 moves."],
"starting_board": {"7":2, "8":2, "12":2, "13":2},
"columns": 5, "rows": 5, "colors": [1,2,3,4], "color_weighting":[6,1,6,1],
"moves_limit": 30,
"objectives":
[
{"type":3, "targetValue":4, "visible":true},
],
"star_thresholds": [1, 100, 300],
"powerups": [],
"enable_leaderboard": false,
},

{
"number":7,
"name": "Long Loops are Better",
"difficulty": 1,
"description": ["Make 2 long loops in 30 seconds.", "Loops award bonus time."],
"tips": ["When making loops, use as many", "dots as you can to get bonus time."],
"columns": 5, "rows": 5, "colors": [2,3,4,5], "color_weighting":[1,1,20,30],
"starting_board": {"4":1, "5":1, "9":1, "10":1, "11":1, "12":1, "13":1, "14":1, "16":1, "21":1, "22":1, "23":1, "24":1, "25":1},
"tutorialPointerPath":[25, 24, 23, 22, 21, 16, 11, 12, 13, 14, 9, 4, 5, 10, 9],
"time_limit":30,
"extra_time": 0,
"objectives":
[
{"type":3, "targetValue":2},
],
"star_thresholds": [1, 300, 400],
"powerups": [],
"enable_leaderboard": false,
},

{
"number":8,
"name": "Big Loops",
"difficulty": 1,
"description": ["Score 175 points to pass.", "Make big and long loops."],
"tips": ["Score 175 points to pass.", "The bigger the loop, the more points."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5], "color_weighting":[6,1,1,1,5],
"moves_limit":20,
"star_thresholds": [175, 250, 350],
"powerups": [],
"enable_leaderboard": false,
}, 

{
"number":9,
"name": "Try a Popper",
"difficulty": 1,
"description": ["Use a popper powerup to setup a loop."],
"tips": ["Make a yellow loop.", "To do this, first use the popper", "powerup to REMOVE THE GREEN DOT."],
"columns": 4, "rows": 4, "colors": [1,2,3,4,5],
"starting_board": {"1":5, "2":4, "3":3, "4":4, "5":4, "6":1, "7":5, "8":1, "9":1, "10":3, "11":2, "12":5, "13":3, "14":1, "15":5, "16":5},
"tutorialPointerPath":[11],
"moves_limit": 1,
"max_moves_bonus": 0,
"extra_moves": 0,
"powerups": ["popper"],
"objectives":
[
{"type":3, "color":5, "targetValue":1},
],
"star_thresholds": [1, 1, 1],
"enable_leaderboard": false,
},

{
"number":10,
"name": "Stripes To Loops",
"difficulty": 2,
"description": ["Complete 2 loops in each color."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5], "color_weighting":[1,5,5,1,5],

"starting_board": {"1":2, "2":3, "3":5, "4":2, "5":3, "6":5, "7":2, "8":3, "9":5, "10":2, "11":3, "12":5, "13":2, "14":3, "15":5, "16":2, "17":3, "18":5, "19":2, "20":3, "21":5, "22":2, "23":3, "24":5, "25":2, "26":3, "27":5, "28":2, "29":3, "30":5, "31":2, "32":3, "33":5, "34":2, "35":3, "36":5},
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["popper"],
"objectives":
[
{"type":3, "color":2, "targetValue":2},
{"type":3, "color":3, "targetValue":2},
{"type":3, "color":5, "targetValue":2},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},

{
"number":11,
"name": "Doughnut Loops",
"difficulty": 1,
"description": ["Complete 8 loops."],
"tips": ["Complete 8 loops."],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5], "color_weighting":[3,3,3,3,1],
"empties": [28,29,36,37,1,8,57,64],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["popper"],
"objectives":
[
{"type":3, "targetValue":8},
],
"star_thresholds": [1, 250, 375],
"enable_leaderboard": true,
},

{
"number":12,
"name": "Beat The Clock",
"difficulty": 1,
"description": ["Some levels give you limited time.", "Score as high as you can in 30 seconds."],
"tips": ["Must score at least 100 points.", "You have 30 seconds."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5],
"starting_board": {"1":5, "2":5, "7":5, "8":5},
"powerups": ["popper"],
"time_limit":30,
"time_bonus_nerf": 4,
"star_thresholds": [100, 130, 160],
"enable_leaderboard": true,
},

{
"number":13,
"name": "Going Loopy",
"difficulty": 1,
"description": ["Complete 15 loops.", "You have 60 seconds."],
"tips": ["Complete 15 loops."],
"columns": 6, "rows": 6, "colors": [1,2,3,4],
"time_limit": 60,
"time_bonus_nerf": 2,
"max_moves_bonus": 0,
"powerups": ["popper"],
"objectives":
[
{"type":3, "targetValue":15},
],
"star_thresholds": [1, 450, 900],
"enable_leaderboard": true,
},

{
"number":14,
"name": "A Lot of Dots",
"difficulty": 2,
"description": ["Clear out 100 dots."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["popper"],
"objectives":
[
{"type":1, "targetValue":100},
],
"star_thresholds": [1, 150, 225],
"enable_leaderboard": true,
"extra_moves": 0,
},

{
"number":15,
"name": "Color Me Dots",
"difficulty": 1,
"description": ["Clear 15 purple, 15 red, 15 yellow dots."],
"tips": ["Clear 15 purple, 15 red, 15 yellow dots."],
"columns": 6, "rows": 6, "colors":[1,2,3,4,5],
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["popper"],
"objectives":
[
{"type":1, "color":3, "targetValue":15},
{"type":1, "color":4, "targetValue":15},
{"type":1, "color":5, "targetValue":15},
],
"star_thresholds": [1, 100, 175],
"enable_leaderboard": true,
},

{
"number":16,
"name": "Blue Dots",
"difficulty": 2,
"description": ["Clear 55 blue dots."],
"tips": ["Clear 55 blue dots.","If needed, use a reshuffler."],
"columns": 6, "rows": 6, "colors":[1,2,3,4,5], "color_weighting":[3,2,2,2,2],
"moves_limit": 50,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper"],
"objectives":
[
{"type":1, "color":1, "targetValue":55},
],
"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},

{
"number":17,
"name": "Cupcake for 1",
"difficulty": 1,
"description": ["Drop the cupcake."],
"tips": ["Clear dots to drop the cupcake."],
"columns": 7, "rows": 7, "colors": [1,2,4,5],
"starting_board": {"11":1,"18":2,"25":4,"32":5,"39":1,"46":2},
"empties": [1,2,3,5,6,7],
"moves_limit": 20,
"max_moves_bonus":0,
"drops": [ {"4":4} ],
"dropsOnScreenAtOnce": 1,
"powerups": ["reshuffler", "popper"],
"objectives":
[
{"type":8, "drop_obj":4, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 100, 150],
"enable_leaderboard": true,
},

{
"number":18,
"name": "Horizontal Paths",
"difficulty": 3,
"description": ["Score as high as you can in 45 seconds.","Must score 300 to pass level."],
"tips": ["Must score at least 300 points.", "You have 45 seconds."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"empties": [22,23,24,25,26,27,28],
"powerups": ["reshuffler", "popper"],
"time_limit":45,
"time_bonus_nerf": 4,
"star_thresholds": [300, 500, 700],
"enable_leaderboard": true,
},

{
"number":19,
"name": "Bubbles Everywhere",
"difficulty": 2,
"description": ["Release all the bubbles."],
"tips": ["Clear dots to release bubbles."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5],
"bubbles": [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper"],
"objectives":
[
{"type":7, "targetValue":36},
],
"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"number":20,
"name": "Easy Does It",
"difficulty": 2,
"description": ["Score at least 200 points", "You get 30 moves"],
"tips": ["Score at least 200 points.", "Complete loops for bonus points."],
"columns": 6, "rows": 6, "colors":[1,2,3,4,5],
"empties": [1,6,31,36],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper"],
"star_thresholds": [200, 250, 300],
"enable_leaderboard": true,
},

{
"number":21,
"name": "Falling Cupcakes",
"difficulty":4,
"description": ["Drop all the cupcakes.", "Yin yangs can help."],
"columns": 6, "rows": 6, "colors":[1,2,3,4,5],
"drops": [ {"2":1}, {"3":3}, {"5":1}, {"6":2}],
"dropsOnScreenAtOnce": 1,
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 50, 150],
"enable_leaderboard": true,
},

{
"number":22,
"name": "Bubble Land",
"difficulty": 2,
"description": ["Release all the bubbles."],
"tips": ["Clear dots to release bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"bubbles": [1,2,3,4,5,6,7,8,10,11,12,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,38,39,40,42,43,44,45,46,47,48,49],
"empties": [9,13,37,41],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":7, "targetValue":45},
],
"star_thresholds": [1, 50, 150],
"enable_leaderboard": true,
},

{
"number":23,
"name": "Animal Loop",
"difficulty": 1,
"description": ["Capture the animal."],
"tips": ["Draw a loop around the animal to", "capture it. Any size loop works."],
"columns": 5, "rows": 5, "colors":[2,3,4],
"captures": [ {"13":1} ],
"capturesOnScreenAtOnce": 1,
"time_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Lots of Dots",
"difficulty": 2,
"description": ["Clear out 175 dots."],
"tips": ["Clear out 175 dots."],
"empties": [8,9,10,11,38,39,40,41],
"columns": 6, "rows": 8, "colors": [1,2,3,4,5],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],

"objectives":
[
{"type":1, "targetValue":175},
],
"star_thresholds": [1, 150, 250],
"enable_leaderboard": true,
},

{
"name": "Rainbow Loops",
"difficulty": 1,
"description": ["Complete a loop in each color."],
"tips": ["Complete a loop in each color."],
"columns": 4, "rows": 4, "colors": [1,2,3,4],
"starting_board": {"2":2, "3":2, "5":2, "6":2},
"time_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":1},
{"type":3, "color":2, "targetValue":1},
{"type":3, "color":3, "targetValue":1},
{"type":3, "color":4, "targetValue":1},
],

"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Five Square",
"difficulty": 2,
"description": ["Release all the bubbles."],
"tips": ["Clear dots to release bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"bubbles": [1,2,3,5,6,7,8,9,10,12,13,14,15,16,17,18,19,20,21,24,25,26,29,30,31,32,33,34,35,36,37,38,40,41,42,43,44,45,47,48,49],
"empties": [4,11,22,23,27,28,39,46],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":7, "targetValue":41},
],
"star_thresholds": [1, 50, 150],
"enable_leaderboard": true,
},

{
"name": "Cupcake Castle",
"difficulty":4,
"description": ["Drop all the cupcakes."],
"columns": 7, "rows": 7, "colors":[1,2,3,4,5],
"drops": [ {"1":4}, {"3":1},  {"5":3}, {"7":2}],
"empties": [2,4,6, 9, 11, 13],
"dropsOnScreenAtOnce": 4,
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 100, 200],
"enable_leaderboard": true,
},

{
"name": "Can You Score?",
"difficulty": 1,
"description": ["Score as high as you can in 60 seconds.","Must score 175 to pass level."],
"tips": ["Must score at least 175 points.", "Remember, big loops give bonus time."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5],
"powerups": ["reshuffler", "popper",  "yinyang"],
"time_limit":60,
"time_bonus_nerf": 4,
"star_thresholds": [175, 230, 250],
"enable_leaderboard": true,
},

{
"name": "Pairs",
"difficulty": 3,
"description": ["Release all the bubbles."],
"tips": ["Release all the bubbles."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5],
"empties": [3,4,9,10,27,28,33,34],
"bubbles": [1,2,5,6,7,8,11,12,15,16,21,22,25,26,29,30,31,32,35,36],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":20, "visible":false},
],

"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"name": "Center of Attention",
"difficulty": 2,
"description": ["Capture the animal."],
"tips": ["Loop the animal."],
"columns": 7, "rows": 7, "colors":[1,2,3],
"empties":[1,2,6,7,8,9,13,14,36,37,41,42,43,44,48,49],
"captures":[ {"25":3}],
"capturesOnScreenAtOnce":1,
"time_limit": 20,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":3, "targetValue":1},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "It's Raining Cupcakes",
"difficulty": 4,
"description": ["Drop all the cupcakes", "before time runs out."],
"tip": ["Drop all the cupcakes.", "Making loops awards extra time."],
"columns": 6, "rows": 6, "colors":[1,2,3,4,5],
"drops": [ {"1":1}, {"4":4}, {"6":1}, {"2":4} ],
"dropsOnScreenAtOnce": 1,
"time_limit": 50,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":2, "playSound":true},
],

"star_thresholds": [1, 100, 200],
"enable_leaderboard": true,
},

{
"name": "A Bundle of Dots",
"difficulty": 1,
"description": ["Clear out 130 dots."],
"empties": [1,6,8,11,26,29,31,36],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],

"objectives":
[
{"type":1, "targetValue":130},
],

"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"name": "Fast Fingers",
"difficulty": 3,
"description": ["Score at least 550 points", "You start with only 25 seconds!"],
"tips": ["Score at least 550 points.", "Tip: Completing loops add more time."],
"columns": 4, "rows": 4, "colors":[1,2,3],
"empties": [1,4,13,16],
"time_limit": 25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"star_thresholds": [550, 650, 800],
"enable_leaderboard": true,
},

{
"name": "Bubble Islands",
"difficulty": 4,
"description": ["Clear all the bubbles from each island."],
"columns": 7, "rows": 7, "colors":[1,2,3,4,5],
"empties": [4,11,18,25,32,39,46,22,23,24,26,27,28],
"bubbles": [1,2,3,5,6,7,8,9,10,12,13,14,15,16,17,19,20,21,29,30,31,33,34,35,36,37,38,40,41,42,43,44,45,47,48,49],
"moves_limit": 50,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":7, "targetValue":36},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},

{
"name": "Stairway to Heaven",
"difficulty": 3,
"description": ["Drop the cupcakes one at a time."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [1,2,3,4,5,6, 8,9,10,11,12, 15,16,17,18, 22,23,24, 29,30, 36],
"moves_limit": 50,
"max_moves_bonus":0,
"drops": [ {"37":4}, {"31":4}, {"25":4}, {"19":4}, {"13":4}, {"7":4} ],
"dropsOnScreenAtOnce": 1,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":8, "drop_obj":4, "targetValue":6, "playSound":true},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Vertical Paths",
"difficulty": 2,
"description": ["Score as high as you can in 60 seconds.","You must score 250 to pass the level."],
"tips": ["Must score at least 250 points."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [4,11,18,25,32,39,46],
"time_limit": 60,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper",  "yinyang"],
"star_thresholds": [250, 300, 400],
"enable_leaderboard": true,
},

{
"name": "Animal Pair",
"difficulty": 2,
"description": ["Loop the animals."],
"tips": ["Loop the animals.", "Power ups can be very helpful."],
"columns": 7, "rows": 7, "colors":[1,2,3,4],
"captures": [ {"23":1}, {"27":3} ],
"capturesOnScreenAtOnce": 2,
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":3, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 400, 600],
"enable_leaderboard": true,
},

{
"name": "The Stoplight",
"difficulty": 3,
"description": ["Clear exactly 20 red dots.", "Clear exactly 20 yellow dots.", "Clear exactly 20 green dots."],
"tips": ["You must clear EXACTLY 20", "of each. No more, no less."],
"columns": 6, "rows": 6,
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "color":4, "targetValue":20, "targetValueType":2},
{"type":1, "color":5, "targetValue":20, "targetValueType":2},
{"type":1, "color":2, "targetValue":20, "targetValueType":2},
],

"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Cupcake Crown",
"difficulty":4,
"description": ["Drop all the cupcakes."],
"columns": 7, "rows": 7, "colors":[1,2,3,4,5],
"drops": [ {"2":4}, {"4":1}, {"6":3}, {"2":2}, {"4":4}, {"6":1}],
"empties": [1,3,5, 7, 15, 17, 19, 21],
"dropsOnScreenAtOnce": 3,
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":2, "playSound":true},
],

"star_thresholds": [1, 100, 175],
"enable_leaderboard": true,
},

{
"name": "Crack",
"difficulty": 3,
"description": ["Release the bubbles."],
"tips": ["Release the bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"bubbles": [2,2,3,3,4,4,5,5,6,6,7,7,8,8,10,10,14,14,15,15,16,16,18,18,21,21,22,22,24,24,26,26,28,28,29,29,32,32,34,34,35,35,36,36,40,40,42,42,43,43,44,44,45,45,46,46,47,47,48,48],
"empties": [1,9,17,25,33,41,49],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":30, "visible":false},
],

"star_thresholds": [1, 150, 300],
"enable_leaderboard": true,
},

{
"name": "Tessalation Dots",
"difficulty": 3,
"description": ["Clear 200 dots in 60 secs."],
"tips": ["Be aware of the board layout."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [2,4,6,8,10,12,14,16,18,20],
"time_limit":60,
"time_bonus_nerf":4,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "targetValue":200},
],
"star_thresholds": [1, 300, 450],
"enable_leaderboard": true,
},

{
"name": "Cupcake Drops",
"difficulty": 4,
"description": ["Drop all the cupcakes."],
"columns": 8, "rows": 8, "colors":[1,2,3,4],
"empties": [33,34,35,36,37,38,39,40,42,44,45,47,49,50,51,52,53,54,55,56,58,60,61,63],
"drops": [ {"1":1}, {"3":2}, {"6":3}, {"8":4}, {"2":4}, {"7":2} ],
"dropsOnScreenAtOnce":1,
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":2, "playSound":true},
],

"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},


{
"name": "Animal Round Up",
"difficulty": 4,
"description": ["Loop all the animals."],
"tips": ["Loop all the animals.", "Power ups can be very helpful."],
"columns": 8, "rows": 8, "colors":[1,2,3,4],
"captures": [ {"19":1}, {"46":2} ],
"capturesOnScreenAtOnce":2,
"time_limit": 50,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":2, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 400, 500],
"enable_leaderboard": true,
},

{
"name": "Criss Cross",
"difficulty": 3,
"description": ["Score 500 points in 25 seconds."],
"tips": ["Score 500 points in 25 seconds.","Loops add time."],
"columns": 7, "rows": 7, "colors":[1,2,3],
"empties": [1,2,3,5,6,7, 8,9,10,12,13,14, 15,16,20,21, 29,30,34,35, 36,37,38,40,41,42, 43,44,45,47,48,49],
"time_limit": 25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"star_thresholds": [500, 1000, 1500],
"enable_leaderboard": true,
},

{
"name": "Life Savers",
"difficulty": 3,
"description": ["Complete a loop in each color."],
"columns": 5, "rows": 5, "colors": [1,2,3,4,5],
"starting_board": {"2":2, "3":2, "5":2, "6":2},
"time_limit": 60,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":1},
{"type":3, "color":2, "targetValue":1},
{"type":3, "color":3, "targetValue":1},
{"type":3, "color":4, "targetValue":1},
{"type":3, "color":5, "targetValue":1},
],
"star_thresholds": [1, 250, 500],
"enable_leaderboard": true,
},


{
"name": "Loopy Cakes",
"difficulty": 4,
"description": ["Drop all the cupcakes."],
"tips": ["Making loops is the key."],
"columns": 9, "rows": 7, "colors": [1,2,3,4,5],
"empties": [2,3,7,8,10,12,16,18,20,21,25,26,28,30,34,36,38,39,43,44,46,48,52,54,56,57,61,62],
"starting_board": {"19":1, "37":2, "55":3, "27":4, "45":5, "63":1},
"moves_limit": 30,
"max_moves_bonus":0,
"drops": [ {"1":1}, {"9":3}, {"11":2}, {"17":4} ],
"dropsOnScreenAtOnce": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"name": "Sky Line",
"difficulty": 3,
"description": ["Release the bubbles","and score at least 150 points."],
"tips": ["Release the bubbles","and score at least 150 points."],
"columns": 7, "rows": 6, "colors": [1,2,3,4,5],
"starting_board": {"1":1, "2":2, "3":3, "4":4, "5":5, "6":1, "7":2},
"empties": [8,9,10,11,12,13,14,15,16,17,18,19,20,21],
"bubbles": [1,2,3,4,5,6,7],
"moves_limit":25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"max_moves_bonus":0,
"objectives":
[
{"type":7, "targetValue":7, "visible":true},
],
"star_thresholds": [150, 175, 200],
"enable_leaderboard": true,
},


{
"name": "Play Pen",
"difficulty": 4,
"description": ["Release all the bubbles."],
"tips": ["Release all the bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"bubbles": [37,41],
"empties": [22,23,24,25,26,27,28,32,39,46],
"captures": [ {"37":4}, {"41":3} ],
"capturesOnScreenAtOnce":2,
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":2, "visible":false},

],

"star_thresholds": [1, 300, 450],
"enable_leaderboard": true,
},

{
"name": "Snowflake",
"difficulty": 4,
"description": ["Clear out 130 dots."],
"tips": ["Clear out 130 dots."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"empties": [2,4,6,8,10,12,14,16,20,22,28,30,34,36,38,40,42,44,46,48],
"moves_limit": 35,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "targetValue":130},
],

"star_thresholds": [1, 100, 200],
"enable_leaderboard": true,
},

{
"name": "Waffle",
"difficulty": 3,
"description": ["Release the bubbles."],
"tips": ["Release the bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [1,7,15,21,29,35,43,45,47,49],
"bubbles": [8,14,22,28,36,42,44,46,48],
"time_limit":35,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper",  "yinyang"],
"max_moves_bonus":0,
"objectives":
[
{"type":7, "targetValue":9, "visible":true},
],
"star_thresholds": [1, 100, 200],
"enable_leaderboard": true,
},


{
"name": "Are You Fast?",
"difficulty": 2,
"description": ["Score as high as you can in 60 seconds.","Must score 450 to pass level."],
"tips": ["Must score at least 450 points."],
"columns": 7, "rows": 7, "colors": [1,2,4,5],
"empties": [1,2,3,5,6,7,8,9,13,14,15,21,29,35,36,37,41,42,43,44,45,47,48,49],
"powerups": ["reshuffler", "popper",  "yinyang"],
"time_limit": 60,
"time_bonus_nerf": 3,
"star_thresholds": [450, 550, 650],
"enable_leaderboard": true,
},

{
"name": "Purple & Gold",
"difficulty": 3,
"description": ["Make 5 purple loops", "& 5 yellow loops."],
"tips": ["Tip: Yin-yangs can help you", "make loops."],
"columns": 6, "rows": 6, "colors":[1,2,3,4,5],
"moves_limit": 50,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":3, "targetValue":5},
{"type":3, "color":5, "targetValue":5},
],

"star_thresholds": [1, 500, 700],
"enable_leaderboard": true,
},

{
"name": "Castle in the Sky",
"difficulty": 3,
"description": ["Release the bubbles."],
"tips": ["Release all the bubbles."],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5],
"empties": [3,6,11,14,19,22],
"bubbles": [1,1,2,2,4,4,5,5,7,7,8,8,9,9,10,10,12,12,13,13,15,15,16,16,17,17,18,18,20,20,21,21,23,23,24,24,49,49,50,50,51,51,52,52,53,53,54,54,55,55,56,56,57,57,58,58,59,59,60,60,61,61,62,62,63,63,64,64],
"time_limit": 40,
"time_bonus_nerf": 2,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":34, "visible":true},
],
"star_thresholds": [1, 250, 400],
"enable_leaderboard": true,
},

{
"name": "Christmas Lights",
"difficulty": 2,
"description": ["Clear 65 dots.", "But don't clear red or green!"],
"tips": ["Don't clear red or green dots."],
"columns": 7, "rows": 7, "colors":[1,2,3,4,5],"color_weighting":[3,2,3,2,3],
"empties": [1,2,3,5,6,7, 8,9,13,14, 15,16,20,21, 22,28, 29,35],
"starting_board": {"1":5, "10":1, "11":1, "12":1, "17":3, "18":3, "19":3, "23":5, "24":5, "25":5, "26":5, "27":5, "30":1, "31":1, "32":1, "33":1, "34":1, "36":3, "37":3, "38":3, "39":3, "40":3, "41":3, "42":3, "43":5, "44":5, "45":5, "46":5, "47":5, "48":5, "49":5},
"moves_limit": 20,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "targetValue":65},
{"type":1, "color":4, "targetValue":0, "targetValueType":3},
{"type":1, "color":2, "targetValue":0, "targetValueType":3},
],
"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"name": "Round Them Up",
"difficulty": 4,
"description": ["Capture all the animals.", "Release the bubbles."],
"tips": ["Tip: Loops add time."],
"columns": 7, "rows": 7, "colors": [2,3,4,5],
"bubbles": [24,25,26],
"captures": [ {"24":1}, {"25":2}, {"26":3} ],
"capturesOnScreenAtOnce":3,
"time_limit": 60,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":3, "visible":false},
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":2, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":3, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 400, 600],
"enable_leaderboard": true,
},

{
"name": "Towers of Power",
"difficulty": 3,
"description": ["Release the bubbles", "and make 3 loops."],
"tips": ["Release the bubbles", "and make 3 loops."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [2,9,16,23,4,11,18,25,6,13,20,27],
"bubbles": [1,3,5,7,8,10,12,14,15,17,19,21,22,24,26,28],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":16, "visible":false},
{"type":3, "targetValue":3, "visible":true},
],

"star_thresholds": [1, 150, 225],
"enable_leaderboard": true,
},

{
"name": "Loop Speed",
"difficulty": 2,
"description": ["Complete 35 loops.", "Be quick!", "You start with only 5 secs."],
"tips": ["The longer the loop,", "the more time you get."],
"columns": 5, "rows": 5, "colors":[3,4,5],
"time_limit": 5,
"time_bonus_nerf": 1,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":35},
],
"star_thresholds": [1, 1000, 1500],
"enable_leaderboard": true,
},

{
"name": "Rocket",
"difficulty": 4,
"description": ["Clear 160 dots and clear all bubbles."],
"tips": ["Tip: Use poppers to make loops easier."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [1,2,3,5,6,7,8,9,13,14,15,21,22,28,29,35,36,42],
"bubbles": [4,10,11,12,16,17,18,19,23,24,25,26,27,30,31,32,33,34,37,38,39,40,41,43,44,45,46,47,48,49],
"time_limit":60,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "targetValue":160},
{"type":7, "targetValue":30},

],
"star_thresholds": [1, 250, 400],
"enable_leaderboard": true,
},

{
"name": "Dot Stacks",
"difficulty": 5,
"description": ["Clear exactly 40 red dots.", "Clear exactly 40 purple dots.", "Clear exactly 40 blue dots."],
"tips": ["You must clear EXACTLY", "the right amount."],
"columns": 6, "rows": 6,
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "color":4, "targetValue":40, "targetValueType":2},
{"type":1, "color":3, "targetValue":40, "targetValueType":2},
{"type":1, "color":1, "targetValue":40, "targetValueType":2},
],

"star_thresholds": [1, 100, 200],
"enable_leaderboard": true,
},


{
"name": "Donut Dots",
"difficulty": 2,
"description": ["Score as high as you can in 60 seconds.","Must score 750 to pass level."],
"tips": ["Must score at least 750 points."],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5],
"empties": [28, 29,36,37],
"powerups": ["reshuffler", "popper",  "yinyang"],
"time_limit":60,
"time_bonus_nerf": 4,
"star_thresholds": [750, 1000, 1250],
"enable_leaderboard": true,
},


{
"name": "Cupcake Land",
"difficulty": 3,
"description": ["Drop all the cupcakes."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"moves_limit": 55,
"max_moves_bonus":0,
"drops": [ {"1":1}, {"5":2}, {"2":3},{"2":4}, {"3":2}, {"4":4}, {"4":3}, {"5":3}, {"5":1}, {"6":1}, {"7":4}, {"7":2}, {"1":3}, {"2":4}, {"4":1}, {"5":2}],
"dropsOnScreenAtOnce": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":4, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":4, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":4, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":4, "playSound":true},
],
"star_thresholds": [1, 400, 600],
"enable_leaderboard": true,
},

{
"name": "Walk The Line",
"difficulty": 2,
"description": ["Release all bubbles."],
"tips": ["Release all bubbles."],
"columns": 7, "rows": 9, "colors": [1,2,3,4,5],
"empties": [22,24,26,28,30,32,34,36,38,40,42],
"starting_board": {"22":1, "23":2, "24":3, "25":4, "26":5, "27":1, "28":2},
"bubbles": [23,23,25,25,27,27,29,29,31,31,33,33,35,35,37,37,39,39,41,41],
"starting_board": {"29":1, "31":2, "33":3, "24":4},
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":10, "visible":false},
],

"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"name": "Center Point",
"difficulty": 3,
"description": ["Release the bubble in the center", "and complete loops."],
"tips": ["Make loops the same color", "as the center bubble."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"empties": [4,11,18,22,23,24,26,27,28,32,39,46],
"bubbles": [25,25],
"time_limit":30,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":1},
{"type":3, "targetValue":15},
],
"star_thresholds": [1, 100, 150],
"enable_leaderboard": true,
},

{
"name": "Stoplight 2",
"difficulty": 2,
"description": ["Clear exactly 30 yellow dots.","but avoid the red dots."],
"tips": ["Clear exactly 30 yellow dots.","but avoid the red dots."],
"columns": 6, "rows": 6, "colors": [2,4,5],
"moves_limit":20,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "targetValueType":2, "targetValue":0, "color":4, "visible":false},
{"type":1, "targetValueType":2, "targetValue":30, "color":5, "visible":true},
],
"star_thresholds": [1, 175, 225],
"enable_leaderboard": true,
},


{
"name": "Islands in the Stream",
"difficulty": 4,
"description": ["Release the bubbles.", "Clear 40 exact blue dots."],
"tips": ["Release the bubbles.", "Clear 40 exact blue dots."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"empties": [3,4,5,10,12,17,18,19,24,26,31,32,33,38,40,45,46,47],
"bubbles": [11,11,25,25,39,39],
"starting_board": {"11":1, "25":2, "39":3},
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":3, "visible":false},
{"type":1, "targetValueType":2, "targetValue":40, "color":1, "visible":true},
],

"star_thresholds": [1, 300, 350],
"enable_leaderboard": true,
},

{
"name": "Animal Triad",
"difficulty": 3,
"description": ["Loop the animals."],
"tips": ["Power ups can be very helpful."],
"columns": 7, "rows": 7, "colors":[1,2,3,4],
"captures": [ {"11":1}, {"30":3},  {"34":4} ],
"capturesOnScreenAtOnce": 3,
"time_limit": 50,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":3, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":4, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 750, 900],
"enable_leaderboard": true,
},

{
"name": "A Diamond is Forever",
"difficulty": 2,
"description": ["Clear 50 blue dots and 50 green dots."],
"tips": ["Clear 50 blue dots and 50 green dots."],
"columns": 6, "rows": 6, "colors": [1,2,3,4],
"empties": [1,2,5,6,7,12,25,30,31,32,35,36],
"time_limit": 40,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "targetValue":50, "color":1, "visible":true},
{"type":1, "targetValue":50, "color":2, "visible":true},
],

"star_thresholds": [1, 300, 450],
"enable_leaderboard": true,
},

{
"name": "Bottom Loop Cakes",
"difficulty": 4,
"description": ["Drop all the cupcakes."],
"tips": [""],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [2,4,6,36,37,38,39,40,41,42,44,46,48],
"moves_limit": 25,
"max_moves_bonus":0,
"drops": [ {"1":1}, {"3":2}, {"5":3}, {"7":4} ],
"dropsOnScreenAtOnce": 4,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"name": "Left & Right",
"difficulty": 4,
"description": ["Release all the bubbles."],
"tips": ["Use loops to get to", "hard to reach bubbles."],
"columns": 7, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,4,5,13,14,15,16,27,28,29,30,41,42,43,44,55,56,57,58,59,60,61],
"bubbles": [6,6,7,7,8,8,9,9,19,19,20,20,21,21,22,22,34,34,35,35,36,36,37,37,48,48,49,49,50,50,51,51,62,62,63,63],
"moves_limit":30,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":18, "visible":false},
],
"star_thresholds": [1, 275, 350],
"enable_leaderboard": true,
},

{
"name": "Animals & Bubbles",
"difficulty": 5,
"description": ["Loop the animals.", "Release the bubbles."],
"tips": ["Loop the animals.", "Release the bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"captures": [ {"23":2}, {"27":3} ],
"bubbles": [1,2,3,4,5,6,7,43,44,45,46,47,48,49],
"capturesOnScreenAtOnce": 2,
"time_limit": 45,
"time_bonus_nerf": 2,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":14, "visible":false},
{"type":6, "capture_obj":2, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":3, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 450, 600],
"enable_leaderboard": true,
},

{
"name": "Triplet Loops",
"difficulty": 3,
"description": ["Complete 3 loops in each color."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [16,20,23,27,30,34],
"starting_board": {"2":2, "3":2, "5":2, "6":2},
"moves_limit": 50,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":3},
{"type":3, "color":2, "targetValue":3},
{"type":3, "color":3, "targetValue":3},
{"type":3, "color":4, "targetValue":3},
{"type":3, "color":5, "targetValue":3},
],

"star_thresholds": [1, 500, 600],
"enable_leaderboard": true,
},

{
"name": "Cupcake Shoot",
"difficulty": 3,
"description": ["Drop the cupcake."],
"tips": ["Loops are a must."],
"columns": 6, "rows": 6, "colors": [1,2,4,5],
"empties": [5,11,17,23,29,35],
"starting_board": {"12":1,"18":2,"24":5,"30":4,"36":1},
"time_limit": 30,
"time_bonus_nerf": 3,
"max_moves_bonus":0,
"drops": [ {"6":4}, {"6":3}, {"6":2}, {"6":1} ],
"dropsOnScreenAtOnce": 1,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 150, 250],
"enable_leaderboard": true,
},

{
"name": "Fast Start",
"difficulty": 5,
"description": ["Score 500 points."],
"tips": ["Score 500 points.", "Make loops to add time."],
"columns": 8, "rows": 8, "colors": [1,2,3,5],
"time_limit": 5,
"empties": [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,19,22,27,30,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64],
"starting_board": {"17":2, "18":2, "25":2, "26":2, "20":3, "21":3, "28":3, "29":3, "23":5, "24":5, "31":5, "32":5,},
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
],
"star_thresholds": [500, 700, 900],
"enable_leaderboard": true,
},

{
"name": "1 Loop or 2",
"difficulty": 4,
"description": ["Release all the bubbles."],
"tips": ["Release all the bubbles."],
"columns": 5, "rows": 7, "colors": [1,2,3,4],
"bubbles": [17,19],
"captures": [ {"17":1}, {"19":2} ],
"capturesOnScreenAtOnce":2,
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":2, "visible":false},
],

"star_thresholds": [1, 400, 500],
"enable_leaderboard": true,
},

{
"name": "Only Good Ones",
"difficulty": 3,
"description": ["Complete 4 blue and 4 red loops.", "Do not complete any other colored loops."],
"tips": ["Make only blue and red loops."],
"columns": 6, "rows": 6, "colors": [1,2,3,4],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":4},
{"type":3, "color":2, "targetValueType":3, "targetValue":0, "visible": false},
{"type":3, "color":3, "targetValueType":3, "targetValue":0, "visible": false},
{"type":3, "color":4, "targetValue":4},
],

"star_thresholds": [1, 300, 500],
"enable_leaderboard": true,
},

{
"name": "Over and Under",
"difficulty": 3,
"description": ["Release the bubbles."],
"tips": ["Release the bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [8,9,10,11,12,13,14,36,37,38,39,40,41,42],
"bubbles": [1,2,3,4,5,6,7,43,44,45,46,47,48,49],
"moves_limit":30,
"max_moves_bonus": 0,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":14, "visible":false},
],
"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"name": "Double Trouble",
"difficulty": 4,
"description": ["Clear 300 dots in 60 secs."],
"tips":["Power ups can help you when", "you're stuck."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [4,11,18,25,32,39,46],
"time_limit": 60,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":1, "targetValue":300, "visible":true},
],
"star_thresholds": [1, 450, 525],
"enable_leaderboard": true,
},


{
"name": "Long Chains",
"difficulty": 2,
"description": ["Make 5 chains of", "at least 7 dots long each."],
"tips": ["Long chains give bonus points.", "Make 5 long chains."],
"columns": 6, "rows": 6,
"moves_limit": 30,
"max_moves_bonus": 0,
"extra_moves": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":5, "minChainLength":7},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},

{
"name": "Dot Chains",
"difficulty": 4,
"description": ["Make sequences of 6 dots in each color", "without making a loop."],
"tips": ["Remember, no loops!"],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"moves_limit": 50,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":2, "minChainLength":6, "color":1},
{"type":2, "targetValue":2, "minChainLength":6, "color":2},
{"type":2, "targetValue":2, "minChainLength":6, "color":3},
{"type":2, "targetValue":2, "minChainLength":6, "color":4},
{"type":2, "targetValue":2, "minChainLength":6, "color":5},
{"type":3, "targetValue":0, "targetValueType":2, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},


{
"name": "Islands in the Stream 2",
"difficulty": 4,
"description": ["Release all bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"starting_board": {"4":4, "18":1, "32":2, "46":3},
"empties": [3,5,10,11, 12,17,19,24,25,26,31,33,38,39,40,45,47],
"bubbles": [4,4,18, 18,32, 32, 46, 46],
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":4},
],

"star_thresholds": [1, 275, 350],
"enable_leaderboard": true,
},



{
"name": "Donut Hole",
"difficulty": 4,
"description": ["Make 6 loops in 60 secs."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [11,17,18,19,23,24,25,26,27,31,32,33,39],
"time_limit":60,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":6},
],
"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},

{
"name": "End to End",
"difficulty": 3,
"description": ["Make a straight line across the board."],
"tips": ["Draw a horizontal line", "that spans the full board."],
"columns": 7, "rows": 4, "colors":[1,2,3,4],
"moves_limit": 25,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainWidth":7, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Cupcake Slide",
"difficulty": 4,
"description": ["Drop all the cupcakes."],
"tips": ["Making a loop adds more time."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"starting_board": {"8":2,"15":3,"22":4,"29":5,"36":2,"43":3},
"empties": [2,9,16,23,30,37,44],
"time_limit": 20,
"drops": [ {"1":4}, {"1":2}, {"1":3}, {"1":1} ],
"dropsOnScreenAtOnce": 1,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 250, 400],
"enable_leaderboard": true,
},

{
"name": "Bubblecake Slide",
"difficulty": 5,
"description": ["Drop all the cupcakes."],
"tips": ["Making a loop adds more time."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"starting_board": {"8":2,"15":3,"22":4,"29":5,"36":2,"43":3},
"empties": [6,13,20,27,34,41,48],
"bubbles": [1,1,2,2,3,3,4,4,5,5,8,8,9,9,10,10,11,11,12,12,15,15,16,16,17,17,18,18,19,19,22,22,23,23,24,24,25,25,26,26,29,29,30,30,31,31,32,32,33,33,36,36,37,37,38,38,39,39,40,40,43,43,44,44,45,45,46,46,47,47],
"time_limit": 40,
"max_moves_bonus":0,
"drops": [ {"7":4}, {"7":3}, {"7":2} ],
"dropsOnScreenAtOnce": 1,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":1, "playSound":true},
{"type":7, "targetValue":35},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},


{
"name": "Crossing the T",
"difficulty": 3,
"description": ["You have 25 moves to make a line","completely across the top of the T."],
"tips": ["Make a line across the top of the T."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"empties": [15,16,20,21,22,23,27,28,29,30,34,35,36,37,41,42,43,44,48,49],
"moves_limit":25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"max_moves_bonus":0,
"objectives":
[
{"type":2, "targetValue":1, "minChainLength":7, "chainWidth":7, "visible":true},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},

{
"name": "Waffle Cut",
"difficulty": 4,
"description": ["Clear 125 dots in 60 secs","and make at least one loop."],
"tips": ["Clear 125 dots in 60 secs","and make at least one loop."],
"columns": 7, "rows": 7, "colors": [1,2,3],
"empties": [1,3,5,7,15,17,19,21,29,31,33,35,43,45,47,49],
"time_limit": 60,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":1, "targetValue":125, "visible":true},
{"type":3, "targetValue":1, "visible":true},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "4 Corners",
"difficulty": 3,
"description": ["Clear the bubble corners."],
"tips": ["Make loops to clear the corner bubbles"],
"columns": 7, "rows": 7, "colors": [1,2,3,4,],
"starting_board": {"1":1, "7":2, "43":3, "49":4},
"empties": [2,3,4,5,6,8,14,15,21,22,28,29,35,36,42,44,45,46,47,48],
"bubbles": [1,1,7,7,43,43,49,49],
"moves_limit":20,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":7, "targetValue":4, "visible":true},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "How Fast Are You?",
"difficulty": 1,
"description": ["Clear 7 loops", "in 9 seconds. Be quick!"],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5],
"empties": [3,6,11,14,17,18,19,20,21,22,23,24,27,30,35,38,41,42,43,44,45,46,47,48,51,54,59,62],
"starting_board": {"1":1,"2":1,"9":1,"10":1,"4":2,"5":2,"12":2,"13":2,"7":3,"8":3,"15":3,"16":3,"25":4,"26":4,"33":4,"34":4,"28":5,"29":5,"36":5,"37":5,"31":4,"32":4,"39":4,"40":4,"49":3,"50":3,"57":3,"58":3,"52":2,"53":2,"60":2,"61":2,"55":1,"56":1,"63":1,"64":1},
"time_limit": 9,
"max_time_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":7},
],
"star_thresholds": [1, 60, 100],
"enable_leaderboard": true,
},

{
"name": "Making It Rain",
"difficulty": 3,
"description": ["Drop all cupcakes."],
"tips": ["Loops add time."],
"columns": 5, "rows": 8, "colors": [1,2,3,4],
"drops": [ {"1":2}, {"2":2}, {"3":2}, {"4":2}, {"5":2}, {"3":2},{"2":2},{"1":2},{"4":2},{"5":2},{"3":2},{"1":2},{"5":2} ],
"dropsOnScreenAtOnce": 1,
"time_limit":30,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":8, "drop_obj":2, "targetValue":13, "playSound":true},
],
"star_thresholds": [1, 1000, 1400],
"enable_leaderboard": true,
},

{
"name": "Up and Down",
"difficulty": 3,
"description": ["Connect dots from the very","top to the very bottom."],
"tips": ["Connect dots from the very","top to the very bottom."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"empties": [15,16,20,21,22,23,27,28,29,30,34,35],
"moves_limit":25,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":2, "minChainLength":7, "chainHeight":7, "visible":true},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Loop Frenzy",
"difficulty": 5,
"description": ["Complete 50 loops.", "Be quick!"],
"tips": ["Tip: Bonus time is added for every loop."],
"columns": 6, "rows": 6, "colors":[2,3,4,5],
"time_limit": 45,
"time_bonus_nerf": 3,
"powerups": ["reshuffler", "popper",  "yinyang"],

"objectives":
[
{"type":3, "targetValue":50},
],
"star_thresholds": [1, 1000, 1500],
"enable_leaderboard": true,
},

{
"name": "Animal Four Square",
"difficulty": 5,
"description": ["Capture the four animals.", "Good luck!"],
"columns": 7, "rows": 7, "colors":[1,2,3,4],
"captures":[ {"16":1}, {"20":2}, {"37":3}, {"41":4}],
"capturesOnScreenAtOnce":4,
"moves_limit": 50,
"powerups": ["reshuffler", "popper",  "yinyang"],
"max_moves_bonus": 0,
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1,},
{"type":6, "capture_obj":2, "targetValue":1,},
{"type":6, "capture_obj":3, "targetValue":1,},
{"type":6, "capture_obj":4, "targetValue":1,},
],
"star_thresholds": [1, 550, 700],
"enable_leaderboard": true,
},

{
"name": "Careful Now",
"difficulty": 1,
"description": ["Clear dots in every color", "in 11 moves."],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5],
"empties": [3,6,11,14,19,22,27,30,35,38,43,46,51,54,59,62],
"starting_board": {"1":1,"2":1,"9":1,"10":1,"4":2,"5":2,"12":2,"13":2,"7":3,"8":3,"15":3,"16":3,"25":4,"26":4,"33":4,"34":4,"28":5,"29":5,"36":5,"37":5,"31":4,"32":4,"39":4,"40":4,"49":3,"50":3,"57":3,"58":3,"52":2,"53":2,"60":2,"61":2,"55":1,"56":1,"63":1,"64":1},
"moves_limit": 11,
"max_move_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":2},
{"type":3, "color":2, "targetValue":2},
{"type":3, "color":3, "targetValue":2},
{"type":3, "color":4, "targetValue":2},
{"type":3, "color":5, "targetValue":2},
],
"star_thresholds": [1, 100, 200],
"enable_leaderboard": true,
},

{
"name": "A Speed Challenge",
"difficulty": 2,
"description": ["Score as high as you can in 60 seconds.","Must score 800 to pass level."],
"tips": ["Must score at least 800 points."],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5],
"empties": [17,18,23,24,41,42,47,48],
"powerups": ["reshuffler", "popper",  "yinyang"],
"time_limit":60,
"time_bonus_nerf": 4,
"star_thresholds": [800, 900, 1100],
"enable_leaderboard": true,
},


{
"name": "Tessalation Bubbles",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [2,4,6,8,10,12,14,16,18,20],
"bubbles": [1,3,5,7,9,11,13,15,17,19,21],
"moves_limit":25,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":11},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},

{
"name": "Deca-Dot",
"difficulty": 2,
"description": ["Make 5 sequences of 10 dots", "in any color."],
"tips": ["Make 5 sequences of 10 dots", "in any color."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"moves_limit": 35,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":5, "minChainLength":10},
],
"star_thresholds": [1, 500, 600],
"enable_leaderboard": true,
},

{
"name": "In The Pipe",
"difficulty": 3,
"description": ["Drop the 4 cup cakes","on the sides."],
"tips": ["Making loops is the key."],
"columns": 9, "rows": 5, "colors": [1,2,3,4,5],
"empties": [2,8,11,17,20,26,29,35,38,44],
"starting_board": {"10":1, "18":2, "19":3, "27":4, "28":5, "36":1, "37":2, "45":3},
"drops": [ {"1":1}, {"9":2}, {"1":2}, {"9":1} ],
"dropsOnScreenAtOnce": 2,
"moves_limit":35,
"max_move_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":2, "playSound":true},
],
"star_thresholds": [1, 300, 350],
"enable_leaderboard": true,
},

{
"name": "Red's My Favorite",
"difficulty": 3,
"description": ["Clear 80 red dots.", "Clear the bubbles."],
"tips": ["Clear 80 red dots.", "Clear the bubbles.", "If needed, use a reshuffler."],
"columns": 7, "rows": 7, "colors":[1,2,3,4,5],
"bubbles": [1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,14,14,15,15,21,21,22,22,28,28,29,29,35,35,36,36,42,42,43,43,44,44,45,45,46,46,47,47,48,48,49,49],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "color":4, "targetValue":80},
{"type":7, "targetValue":24, "visible":false}
],

"star_thresholds": [1, 550, 700],
"enable_leaderboard": true,
},

{
"name": "Speed is Everything",
"difficulty": 4,
"description": ["Complete a loop in every color", "in 5 seconds."],
"tips": ["Be quick! No bonus time for loops."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5],
"empties": [3,4,9,10,13,14,17,18,19,20,23,24,27,28,33,34],
"starting_board": {"1":1,"2":1,"7":1,"8":1,"5":2,"6":2,"11":2,"12":2,"15":3,"16":3,"21":3,"22":3,"25":4,"26":4,"29":5,"30":5,"31":4,"32":4,"35":5,"36":5},
"time_limit": 5,
"max_time_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":1},
{"type":3, "color":2, "targetValue":1},
{"type":3, "color":3, "targetValue":1},
{"type":3, "color":4, "targetValue":1},
{"type":3, "color":5, "targetValue":1},
],
"star_thresholds": [1, 50, 60],
"enable_leaderboard": true,
},

{
"name": "Tessalation Cupcakes",
"difficulty": 3,
"description": ["Drop all cupcakes."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [2,4,6,8,10,12,14,16,18,20],
"drops": [ {"3":1}, {"5":2},  {"7":3}, {"1":4},  {"3":1}, {"5":2},  {"7":3}, {"1":4}, {"3":1}, {"5":2}, {"6":3}, {"2":4}],
"dropsOnScreenAtOnce": 4,
"moves_limit":40,
"max_move_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":3, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":3, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":3, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":3, "playSound":true},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Snake",
"difficulty": 5,
"description": ["Make a line from one end","of the S to the other."],
"tips": ["If needed, use poppers", "and yin yang power ups."],
"columns": 8, "rows": 8, "colors": [1,2,3,4], "color_weighting":[1,1,1,2],
"empties": [16,19,20,21,22,23,24,41,42,43,44,45,46,49],
"moves_limit":50,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainWidth":8, "chainHeight":8, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Be Exact",
"difficulty": 5,
"description": ["Clear exactly 30 dots of every color."],
"tips": ["Remember, you must be exact."],
"columns": 7, "rows": 7,
"empties": [3,4,5,15,21,22,28,29,35,45,46,47],
"moves_limit": 50,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "color":1, "targetValue":30, "targetValueType":2},
{"type":1, "color":2, "targetValue":30, "targetValueType":2},
{"type":1, "color":3, "targetValue":30, "targetValueType":2},
{"type":1, "color":4, "targetValue":30, "targetValueType":2},
{"type":1, "color":5, "targetValue":30, "targetValueType":2},
],

"star_thresholds": [1, 300, 450],
"enable_leaderboard": true,
},


{
"name": "Castaway",
"difficulty": 5,
"description": ["Loop in the lonely panda."],
"columns": 7, "rows": 7, "colors":[1,2,3,4,5], "color_weighting":[8,1,8,1,8],
"empties": [4,11,18,25,26,27,28],
"captures": [ {"13":2} ],
"capturesOnScreenAtOnce":1,
"time_limit": 40,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":6, "capture_obj":2, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 600, 700],
"enable_leaderboard": true,
},


{
"name": "Fading Out",
"difficulty": 4,
"description": ["Get 150 dots and clear all bubbles."],
"tips": ["This level has no time bonus."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [2,4,6,10,12,14,18,20,26,28,34,42],
"bubbles": [3,5,7,11,13,19,21,27,35],
"time_limit":45,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "targetValue":150},
{"type":7, "targetValue":9},
],
"star_thresholds": [1, 350, 550],
"enable_leaderboard": true,
},

{
"name": "Bubble Dot Pop",
"difficulty": 3,
"description": ["Release the bubbles.", "Make 6 purple loops."],
"tips": ["Release the bubbles.", "Make 6 purple loops."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"bubbles": [2,2,4,4,6,6,8,8,9,9,10,10,11,11,12,12,13,13,14,14,16,16,18,18,20,20,22,22,23,23,24,24,25,25,26,26,27,27,28,28,30,30,32,32,34,34,36,36,37,37,38,38,39,39,40,40,41,41,42,42,44,44,46,46,48,48],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":33, "visible":false},
{"type":3, "color":3, "targetValue":6, "visible":true},
],

"star_thresholds": [1, 400, 500],
"enable_leaderboard": true,
},

{
"name": "Loops & Chains",
"difficulty": 3,
"description": ["Complete 4 blue and 4 red loops.", "Complete 4 red and 4 blue 7+ dot chains."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":4,  "targetValue":4},
{"type":3, "color":1,  "targetValue":4},
{"type":2, "color":1, "targetValue":4, "minChainLength":7},
{"type":2, "color":4, "targetValue":4, "minChainLength":7},
],

"star_thresholds": [1, 700, 900],
"enable_leaderboard": true,
},

{
"name": "Animal Blues",
"difficulty": 5,
"description": ["Loop the animals", "and make blue loops."],
"tips": ["Loop the animals", "and make blue loops."],
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"captures": [ {"23":1}, {"27":4} ],
"capturesOnScreenAtOnce": 2,
"time_limit": 30,
"time_bonus_nerf": 2,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":5},
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":4, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 500, 700],
"enable_leaderboard": true,
},


{
"name": "Bubble Train",
"difficulty": 4,
"description": ["Pop all the bubbles.", "Complete 7 purple 7+ dot chains."],
"tips": ["Pop all the bubbles.", "Complete 7 purple 7+ dot chains."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"bubbles": [1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,14,14,15,15,17,17,18,18,19,19,21,21,22,22,24,24,26,26,28,28,29,29,31,31,32,32,33,33,35,35,36,36,42,42,43,43,44,44,45,45,46,46,47,47,48,48,49,49],
"moves_limit": 50,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":32, "visible":true},
{"type":2, "color":3, "targetValue":7, "minChainLength":7},
],

"star_thresholds": [1, 300, 500],
"enable_leaderboard": true,
},

{
"name": "Lightning Loops",
"difficulty": 5,
"description": ["Score 800 points."],
"tips": ["Score 800 points.", "Make loops to add time."],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5],
"time_limit": 5,
"starting_board": {"17":2, "18":2, "25":2, "26":2, "20":4, "21":4, "28":4, "29":4, "23":5, "24":5, "31":5, "32":5,},
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
],
"star_thresholds": [800, 900, 1100],
"enable_leaderboard": true,
},

{
"name": "Cupcake Trophies",
"difficulty": 3,
"description": ["Drop all the cupcakes."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"empties": [1,3,4,5,7,11,15,17,18,19,21],
"moves_limit": 40,
"max_moves_bonus":0,
"drops": [ {"2":1}, {"6":2}, {"2":3},{"6":4},{"2":1},{"6":2} ],
"dropsOnScreenAtOnce": 1,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 300, 450],
"enable_leaderboard": true,
},

{
"name": "Bubble Ball",
"difficulty": 2,
"description": ["Release all the bubbles."],
"tips": ["Release the bubbles."],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5],
"bubbles": [3,3,4,4,5,5,6,6,10,10,11,11,12,12,13,13,14,14,15,15,17,17,18,18,19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26,27,27,28,28,29,29,30,30,31,31,32,32,33,33,34,34,35,35,36,36,37,37,38,38,39,39,40,40,41,41,42,42,43,43,44,44,45,45,46,46,47,47,48,48,50,50,51,51,52,52,53,53,54,54,55,55,59,59,60,60,61,61,62,62],
"empties": [1,2,7,8,9,16, 49,56,57,58,63,64],
"time_limit": 40,
"time_bonus_nerf": 2,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":52, "visible":false},
],

"star_thresholds": [1, 600, 750],
"enable_leaderboard": true,
},

{
"name": "Setup the Animals",
"difficulty": 1,
"description": ["Capture the animals."],
"tips": ["Loop the animals."],
"columns": 9, "rows": 9, "colors":[1,2,3,4], 
"empties": [4,5,6,13,14,15,22,23,24,28,29,30,31,32,33,34,35,36],
"captures":[ {"11":1}, {"17":2}],
"capturesOnScreenAtOnce":2,
"moves_limit": 40,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1},
{"type":6, "capture_obj":2, "targetValue":1},
],
"star_thresholds": [1, 400, 550],
"enable_leaderboard": true,
},

{
"name": "Cupcakes & Bubbles",
"difficulty": 3,
"description": ["Drop the cupcakes.", "Release all bubbles."],
"tips": ["Drop the cupcakes.", "Release all bubbles."],
"columns": 9, "rows": 7, "colors": [1,2,3,4,5],
"empties": [2,8,11,17,20,26,29,35,38,44,47,48,49,50,51,52,53],
"bubbles": [56,56,57,57,58,58,59,59,60,60,61,61,62,62],
"drops": [ {"1":1}, {"9":2}, {"1":2}, {"9":1}, {"1":1}  ],
"dropsOnScreenAtOnce": 2,
"moves_limit":40,
"max_move_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":7, "visible":false},
{"type":8, "drop_obj":1, "targetValue":3, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":2, "playSound":true}
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Loop Mania",
"difficulty": 4,
"description": ["Complete 25 loops.", "Be quick!"],
"tips": ["Complete 25 loops.", "Tip: bigger loops = more bonus time."],
"columns": 6, "rows": 6, "colors":[1,2,3,4,5], "color_weighting":[2,2,2,2,1],
"time_limit": 40,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"star_thresholds": [1, 700, 950],
"objectives":
[
{"type":3, "targetValue":25},
],
"enable_leaderboard": true,
},

{
"name": "Animal Crossing",
"difficulty": 1,
"description": ["Capture all the animals."],
"tips": ["Loop the animals."],
"columns": 7, "rows": 7, "colors":[2,3,4,5], "color_weighting":[5,5,5,1],
"captures":[ {"18":1},{"24":2},{"26":4},{"32":3},],
"capturesOnScreenAtOnce":4,
"time_limit": 30,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1},
{"type":6, "capture_obj":2, "targetValue":1},
{"type":6, "capture_obj":3, "targetValue":1},
{"type":6, "capture_obj":4, "targetValue":1},
],
"star_thresholds": [1, 350, 450],
"enable_leaderboard": true,
},

{
"name": "Mardi Gras",
"difficulty": 3,
"description": ["Complete 6 yellow, 6 purple,", "and 6 green loops."],
"tips": ["Complete 6 yellow, 6 purple,", "and 6 green loops."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":2,  "targetValue":6},
{"type":3, "color":3,  "targetValue":6},
{"type":3, "color":5,  "targetValue":6},
],

"star_thresholds": [1, 300, 500],
"enable_leaderboard": true,
},

{
"name": "Score Big",
"difficulty": 3,
"description": ["Score 750 pts to pass the level."],
"tips": ["Score at least 750 pts."],
"columns": 6, "rows": 6, "colors": [1,2,3,4,5],
"starting_board": {"15":2, "16":2, "21":2, "22":2},
"time_limit": 20,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
],

"star_thresholds": [750, 1000, 1250],
"enable_leaderboard": true,
},

{
"name": "Bubble X",
"difficulty": 3,
"description": ["Release the bubbles."],
"tips": ["Release the bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"bubbles": [1,1,2,2,8,8,9,9,10,10,11,11,12,12,16,16,17,17,18,18,20,20,21,21,22,22,24,24,25,25,26,26,30,30,31,31,32,32,33,33,34,34,40,40,41,41,42,42,48,48,49,49,50,50,51,51,52,52,56,56,57,57,58,58,60,60,61,61,62,62,64,64,65,65,66,66,70,70,71,71,72,72,73,73,74,74,80,80,81,81],
"empties": [3,4,5,6,7,13,14,15,19,23,27,28,29,35,36,37,38,39,43,44,45,46,47,53,54,55,59,63,67,68,69,75,76,77,78,79],
"moves_limit": 50,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":45, "visible":false},
],

"star_thresholds": [1, 450, 550],
"enable_leaderboard": true,
},

{
"name": "Plan Well",
"difficulty": 5,
"description": ["Clear the exact number", "of each colored dots."],
"columns": 7, "rows": 7,
"empties": [18,24,25,26,32],
"moves_limit": 55,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "color":1, "targetValue":50, "targetValueType":2},
{"type":1, "color":2, "targetValue":50, "targetValueType":2},
{"type":1, "color":3, "targetValue":40, "targetValueType":2},
{"type":1, "color":4, "targetValue":40, "targetValueType":2},
{"type":1, "color":5, "targetValue":50, "targetValueType":2},
],

"star_thresholds": [1, 400, 500],
"enable_leaderboard": true,
},

{
"name": "Sweet and Cute",
"difficulty": 3,
"description": ["Drop the cupcakes.", "Capture the animal."],
"tips": ["Drop the cupcakes.", "Capture the animal."],
"columns": 9, "rows": 7, "colors": [1,2,3,4],
"empties": [2,8,11,17,20,26,29,35,38,44,47,53,56,62],
"drops": [ {"1":1}, {"9":2},{"1":2}, {"9":1},{"1":1}, {"9":2} ],
"dropsOnScreenAtOnce": 2,
"captures": [ {"32":3}],
"capturesOnScreenAtOnce": 1,
"time_limit":30,
"time_bonus_nerf": 3,
"max_move_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":3, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":1, "targetValue":3, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":3, "playSound":true}
],
"star_thresholds": [1, 500, 600],
"enable_leaderboard": true,
},


{
"name": "Over the Rainbow",
"difficulty": 1,
"description": ["Complete 3 loops in each color."],
"tips": ["Make every move count."],
"columns": 9, "rows": 7, "colors": [1,2,3,4,5],
"empties": [1,2,3,7,8,9,10,11,17,18,19,27,50,58,59,60],
"starting_board": {"4":4, "5":4, "6":4, "12":4, "13":4, "14":5, "15":4, "16":4,"20":4, "21":4, "22":5, "23":2, "24":5, "25":4, "26":4, "28":4, "29":4, "30":5, "31":2, "32":1, "33":2, "34":5, "35":4, "36":4, "37":5, "38":5, "39":2, "40":1, "41":3, "42":1, "43":2, "44":5, "45":5, "46":2, "47":2, "48":1, "49":3, "51":3, "52":1, "52":1, "53":2, "54":2, "55":1, "56":1, "57":3, "61":3, "62":1, "63":1},
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":3},
{"type":3, "color":2, "targetValue":3},
{"type":3, "color":3, "targetValue":3},
{"type":3, "color":4, "targetValue":3},
{"type":3, "color":5, "targetValue":3},
],

"star_thresholds": [1, 450, 550],
"enable_leaderboard": true,
},

{
"name": "The Wrong Side",
"difficulty": 4,
"description": ["Capture the animals."],
"tips": ["Tips: Make loops to give you more time."],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"empties":[37,38,39,40,41,42,43,44,45],
"captures":[ {"21":1},{"23":2}, {"25":3}],
"capturesOnScreenAtOnce":3,
"time_limit": 60,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1},
{"type":6, "capture_obj":2, "targetValue":1},
{"type":6, "capture_obj":3, "targetValue":1},
],
"star_thresholds": [1, 800, 1500],
"enable_leaderboard": true,
},


{
"name": "Top or Bottom",
"difficulty": 3,
"description": ["Make a line starting at left center", "to the top or bottom corner."],
"tips": ["Loops will help make the line easier."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,10,18,19,27,28,36,45,46,54,55,63,64,72,73],
"starting_board": {"9":3,"37":3,"81":1},
"moves_limit":25,
"max_move_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainWidth":9, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Bubble Ring",
"difficulty": 3,
"description": ["Pop all the bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [11,12,13,14,15,16,17,20,26,29,35,38,44,47,53,56,62,65,66,67,68,69,70,71],
"bubbles": [1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,18,18,19,19,27,27,28,28,36,36,37,37,45,45,46,46,54,54,55,55,63,63,64,64,72,72,73,73,74,74,75,75,76,76,77,77,78,78,79,79,80,80,81,81],
"moves_limit": 35,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":32, "visible":false},
],
"star_thresholds": [1, 225, 300],
"enable_leaderboard": true,
},

{
"name": "Carousel",
"difficulty": 4,
"description": ["Capture the animals."],
"tips": ["Loops are a big help!"],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"empties":[1,2,8,9,10,11,17,18,41,64,65,71,72,73,74,80,81],
"captures":[ {"23":1},{"39":2}, {"43":3}, {"59":4}],
"capturesOnScreenAtOnce":4,
"moves_limit": 35,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1},
{"type":6, "capture_obj":2, "targetValue":1},
{"type":6, "capture_obj":3, "targetValue":1},
{"type":6, "capture_obj":4, "targetValue":1},
],
"star_thresholds": [1, 450, 550],
"enable_leaderboard": true,
},



{
"name": "Big or Small",
"difficulty": 1,
"description": ["Capture one of the animals."],
"tips": ["Draw a loop around an animal to", "capture it."],
"columns": 9, "rows": 5, "colors":[1,2,3,4],
"empties": [1,2,3,4,13,22,31,37,38,39,40],
"captures": [ {"20":1}, {"25":1}],
"capturesOnScreenAtOnce": 2,
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 200, 250],
"enable_leaderboard": true,
},


{
"name": "Rightie or Leftie",
"difficulty": 3,
"description": ["Make a line starting from the top", "to one of the bottom corners."],
"tips": ["Connect a line from", "top middle to the", "bottom left or right corner."],
"columns": 7, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,5,6,7,58,59,60,61,62],
"moves_limit":30,
"max_move_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainHeight":9, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},


{
"name": "Center of Attention 2",
"difficulty": 1,
"description": ["Capture the animal."],
"tips": ["Draw a loop around the animal to", "capture it."],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"empties": [31,32,33,40,42,49,50,51],
"captures": [ {"41":1}],
"capturesOnScreenAtOnce": 1,
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},

{
"name": "Fragments",
"difficulty": 3,
"description": ["Release the bubbles."],
"tips": ["Release all the bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [6,8,15,16,18,24,26,33,34,36,42,44,51,52,54,60,62,69,70,72,78,80],
"bubbles": [7,7,9,9,17,17,25,25,27,27,35,35,43,43,45,45,53,53,61,61,63,63,71,71,79,79,81,81],
"time_limit": 30,
"time_bonus_nerf": 3,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":14, "visible":true},
],
"star_thresholds": [1, 250, 350],
"enable_leaderboard": true,
},


{
"name": "Stripes",
"difficulty": 3,
"description": ["Score 1000 pts to pass the level."],
"tips": ["Score at least 1000 pts."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"starting_board": {"1":1, "2":2, "3":2, "10":2,  "11":2, "19":2, "6":4, "7":4, "14":4, "15":4, "22":4, "23":4, "30":4, "31":4, "38":4, "39":4, "46":4, "47":4,  "55":4,  "8":5,  "9":5,  "16":5,  "17":5,  "24":5,  "25":5,  "32":5,  "33":5,  "40":5,  "41":5,  "48":5,  "49":5,  "56":5,  "57":5,  "64":5,  "65":5, "73":5, "18":1, "26":1, "27":1, "34":1, "35":1, "42":1, "43":1, "50":1, "51":1, "58":1, "59":1, "66":1, "67":1, "74":1, "75":1, "36":2, "44":2, "45":2, "52":2, "53":2, "60":2, "61":2, "68":2, "69":2, "76":2, "77":2, "72":4, "80":4, "81":4},
"empties": [4,5,12,13,20,21,28,29,37,54,62,63,70,71,78,79],
"time_limit": 30,
"time_bonus_nerf": 3,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
],

"star_thresholds": [1000, 1500, 2000],
"enable_leaderboard": true,
},

{
"name": "In the Crosshairs",
"difficulty": 5,
"description": ["Capture the animal."],
"tips": ["Loops are a big help!"],
"columns": 9, "rows": 7, "colors":[1,2,3,4],
"empties":[4,5,6,10,14,18,19,20,26,27,28,29,30,34,35,36,37,38,44,45,46,50,54,58,59,60],
"captures":[ {"32":1}],
"capturesOnScreenAtOnce":1,
"moves_limit": 25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1},
],
"star_thresholds": [1, 250, 350],
"enable_leaderboard": true,
},

{
"name": "Cupcakes Bottles",
"difficulty": 3,
"description": ["Drop the cupcakes."],
"tips": ["Drop the cupcakes."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [5,14,23,28,31,32,33,36,37,40,41,42,45,46,49,50,51,54,59,68,77],
"drops": [ {"2":1}, {"3":2}, {"7":2}, {"8":1}, {"2":2}, {"7":1},{"3":2}, {"8":1}],
"dropsOnScreenAtOnce": 1,
"moves_limit":35,
"max_move_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":4, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":4, "playSound":true}
],
"star_thresholds": [1, 400, 500],
"enable_leaderboard": true,
},

{
"name": "Bubble Isles",
"difficulty": 3,
"description": ["Pop all the bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,4,5,6,7,8,9,11,17,19,20,26,27,29,35,37,38,44,45,47,53,55,56,62,63,65, 71,73,74,75,76,77,78,79,80,81],
"bubbles": [10,10,18,18,28,28,36,36,46,46,54,54,64,64,72,72],
"starting_board": {"10":1, "28":2, "46":3, "64":4, "18":5, "36":1, "54":2, "72":3},
"moves_limit": 20,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":8, "visible":false},
],
"star_thresholds": [1, 300, 350],
"enable_leaderboard": true,
},


{
"name": "Lost Animals",
"difficulty": 3,
"description": ["Capture the animals."],
"tips": ["Loops are a big help!"],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"empties":[5,14,23,32,41,46,47,48,49,50,51,52,53,54],
"captures":[ {"12":1},{"16":2},{"29":3},{"35":4}],
"capturesOnScreenAtOnce":4,
"moves_limit": 60,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":2, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":3, "targetValue":1, "playSound":true},
{"type":6, "capture_obj":4, "targetValue":1, "playSound":true}
],
"star_thresholds": [1, 150, 300],
"enable_leaderboard": true,
},


{
"name": "Bubble Surround",
"difficulty": 3,
"description": ["Pop all the bubbles."],
"tips": ["Loops are a big help!"],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,3,5,7,9,11,12,13,14,15,16,17,19,20,26,27,29,35,37,38,44,45,47,53,55,56,62,63,65,66,67,68,69,70,71, 73,75,77,79,81],
"bubbles": [2,2,4,4,6,6,8,8,10,10,18,18,28,28,36,36,46,46,54,54,64,64,72,72,74,74,76,76,78,78,80,80],
"moves_limit": 35,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":16, "visible":false},
],
"star_thresholds": [1, 300, 350],
"enable_leaderboard": true,
},

{
"name": "Double Bubble",
"difficulty": 3,
"description": ["Pop all the bubbles."],
"tips": ["Loops are a big help!"],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [46,47,48,49,50,51,52,53,54,64,65,66,67,68,69,70,71,72],
"bubbles": [55,55,56,56,57,57,58,58,59,59,60,60,61,61,62,62,63,63,73,73,74,74,75,75,76,76,77,77,78,78,79,79,80,80,81,81],
"moves_limit": 20,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":18, "visible":false},
],
"star_thresholds": [1, 225, 300],
"enable_leaderboard": true,
},


{
"name": "Scope",
"difficulty": 1,
"description": ["Complete 25 loops."],
"tips": ["Make every move count."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [11,12,16,17,20,26,41,56,62,65,66,70,71],
"time_limit": 40,
"max_moves_bonus": 0,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":25},
],

"star_thresholds": [1, 800, 1000],
"enable_leaderboard": true,
},


{
"name": "Bulleye Precision",
"difficulty": 3,
"description": ["Clear exactly 50 red dots.", "Clear exactly 40 purple dots.","Clear exactly 40 blue dots.", "Clear exactly 50 green dots."],
"tips": ["You must clear the EXACT numbers", "of each. No more, no less."],
"starting_board": {"1":1, "2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"14":1,"15":1,"21":1,"22":1,"28":1,"29":1,"35":1,"36":1,"42":1,"43":1,"44":1,"45":1,"46":1,"47":1,"48":1,"49":1,"9":4,"10":4,"11":4,"12":4,"13":4,"16":4,"20":4,"23":4,"27":4,"30":4,"34":4,"37":4,"38":4,"39":4,"40":4,"41":4,"17":2,"18":2,"19":2,"24":2,"26":2,"31":2,"32":2,"33":2,"25":3,},
"columns": 7, "rows": 7, "colors": [1,2,3,4],
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "color":1, "targetValue":50, "targetValueType":2},
{"type":1, "color":2, "targetValue":40, "targetValueType":2},
{"type":1, "color":4, "targetValue":50, "targetValueType":2},
{"type":1, "color":3, "targetValue":40, "targetValueType":2},
],

"star_thresholds": [1, 400, 450],
"enable_leaderboard": true,
},


{
"name": "Primary Colors",
"difficulty": 3,
"description": ["Complete 3 loops of blue","red and yellow."],
"tips": ["Completing a loop removes", "all dots of that color."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],"color_weighting":[1,6,6,1,1],
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":3},
{"type":3, "color":4, "targetValue":3},
{"type":3, "color":5, "targetValue":3},
],

"star_thresholds": [1, 500, 750],
"enable_leaderboard": true,
},

{
"name": "Jellyfish",
"difficulty":4,
"description": ["Drop all the cupcakes."],
"tips": ["Make every move count."],
"columns": 9, "rows": 9, "colors":[1,2,3,4,5],
"empties": [1,2,8,9,10,18,47,49,51,53,56,58,60,62,65,67,69,71,74,76,78,80],
"drops": [ {"19":1}, {"3":3}, {"5":1}, {"7":2},{"27":2}],
"dropsOnScreenAtOnce": 1,
"moves_limit": 40,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":1, "playSound":true},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},


{
"name": "End of the Rainbow",
"difficulty": 1,
"description": ["Can you catch the Lucky Monkey","at the end of the rainbow?"],
"tips": ["Make every move count."],
"columns": 9, "rows": 7, "colors": [1,2,3,4,5],
"empties": [1,2,3,7,8,9,10,11,17,18,19,27,50,58,59,60],
"starting_board": {"4":4, "5":4, "6":4, "12":4, "13":4, "14":5, "15":4, "16":4,"20":4, "21":4, "22":5, "23":2, "24":5, "25":4, "26":4, "28":4, "29":4, "30":5, "31":2, "32":1, "33":2, "34":5, "35":4, "36":4, "37":5, "38":5, "39":2, "40":1, "41":3, "42":1, "43":2, "44":5, "45":5, "46":2, "47":2, "48":1, "49":3, "51":3, "52":1, "52":1, "54":2, "55":1, "56":1, "57":3, "61":3, "62":1, "63":1},
"captures": [ {"53":1}, ],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},

{
"name": "Double Trouble",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [2,4,6,8,11,13,15,17,19,20,21,22,23,24,25,26,27,28,30,32,34,36,37,39,41,43,45,46,47,48,49,50,51,52,53,54],
"bubbles": [1,1,3,3,5,5,7,7,9,9,10,10,12,12,14,14,16,16,18,18,29,29,31,31,33,33,35,35,38,38,40,40,42,42,44,44],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":18},
],
"star_thresholds": [1, 200, 250],
"enable_leaderboard": true,
},

{
"name": "Monkey Kingdom",
"difficulty": 5,
"description": ["Capture the Panda,","and 3 of the 4 Monkeys."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4],
"empties": [4,5,6,28,36,37,45,46,54,76,77,78],
"captures": [ {"11":1}, {"17":1}, {"65":1}, {"71":1}, {"41":2}, ],
"capturesOnScreenAtOnce": 5,
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":3},
{"type":6,  "capture_obj":2, "targetValue":1},
],
"star_thresholds": [1, 500, 700],
"enable_leaderboard": true,
},

{
"name": "Punch",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 8, "colors": [1,2,3,4,5],
"empties": [2,3,4,5,6,7,8,10,12,16,18,19,20,26,27,28,36,37,45,46,54,55,56,62,63,64,65,66,70,71,72],
"bubbles": [1,1,9,9,11,11,13,13,14,14,15,15,17,17,21,21,22,22,23,23,24,24,25,25,29,29,30,30,31,31,32,32,33,33,34,34,35,35,38,38,39,39,40,40,41,41,42,42,43,43,44,44,47,47,48,48,49,49,50,50,51,51,52,52,53,53,57,57,58,58,59,59,60,60,61,61,67,67,68,68,69,69],
"moves_limit":20,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":41},
],
"star_thresholds": [1, 200, 225],
"enable_leaderboard": true,
},

{
"name": "Bubblecakes",
"difficulty":4,
"description": ["Drop the cupcakes and","release the bubbles."],
"columns": 9, "rows": 9, "colors":[1,2,3,4,5],
"empties": [5,14,23,32,41,50,59,68,77],
"drops": [ {"1":1}, {"2":3}, {"3":4}, {"4":2}, {"1":1}, {"2":3}, {"3":4}, {"4":2}],
"bubbles": [6,6,7,7,8,8,9,9,15,15,16,16,17,17,18,18,24,24,25,25,26,26,27,27,33,33,34,34,35,35,36,36,42,42,43,43,44,44,45,45,51,51,52,52,53,53,54,54,60,60,61,61,62,62,63,63,69,69,70,70,71,71,72,72,78,78,79,79,80,80,81,81],
"dropsOnScreenAtOnce": 4,
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":2, "playSound":true},
{"type":7, "targetValue":36},
],
"star_thresholds": [1, 400, 500],
"enable_leaderboard": true,
},

{
"name": "Bullseye 2",
"difficulty": 2,
"description": ["Capture the pig.","from the inside or out."],
"tips": ["Loop the animal."],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"empties":[21,22,23,24,25,30,34,39,43,48,52,57,58,59,60,61],
"captures":[ {"41":3}],
"capturesOnScreenAtOnce":1,
"moves_limit": 20,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":3, "targetValue":1},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},


{
"name": "Pinched",
"difficulty": 1,
"description": ["Can you make 15 loops","in 20 moves?"],
"tips": ["Complete 15 loops."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties":[19,27,28,29,35,36,37,38,39,43,44,45,46,47,53,54,55,63],
"moves_limit": 20,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":15},
],
"star_thresholds": [1, 250, 375],
"enable_leaderboard": true,
},

{
"name": "Bubbling Overload",
"difficulty": 1,
"description": ["Clear the bubbles"],
"tips": ["Use loops wisely"],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties":[2,3,7,8,10,12,16,18,19,20,26,27,28,29,32,35,36,37,41,45,46,50,54,74,76,78,80],
"bubbles":[1,1,4,4,5,5,6,6,9,9,11,11,13,13,14,14,15,15,17,17,21,21,22,22,23,23,24,24,25,25,30,30,31,31,33,33,34,34,38,38,39,39,40,40,42,42,43,43,44,44,47,47,48,48,49,49,51,51,52,52,53,53,55,55,56,56,57,57,58,58,59,59,60,60,61,61,62,62,63,63,64,64,65,65,66,66,67,67,68,68,69,69,70,70,71,71,72,72,73,73,75,75,77,77,79,79,81,81],
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":54},
],
"star_thresholds": [1, 200, 250],
"enable_leaderboard": true,
},

{
"name": "Waffle Swirl",
"difficulty": 4,
"description": ["Make one loop in each color."],
"tips": ["Make one loop in each color."],
"columns": 7, "rows": 7, "colors": [1,2,3],
"empties": [1,3,5,7,15,17,19,21,29,31,33,35,43,45,47,49],
"moves_limit": 20,
"time_bonus_nerf": 4,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":3, "targetValue":1, "color":1, "visible":true},
{"type":3, "targetValue":1, "color":2, "visible":true},
{"type":3, "targetValue":1, "color":3, "visible":true},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Bubble Maze",
"difficulty": 5,
"description": ["Make a line from the top ", "left to the bottom right."],
"tips": ["The line can be any color."],
"columns": 9, "rows": 9, "colors": [1,2,3,4], "color_weighting":[1,1,2,1],
"empties": [2,3,4,5,6,7,8,9,14,23,59,68,73,74,75,76,77,78,79,80],
"time_limit":30,
"time_bonus_nerf": 2,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainHeight":9, "visible":false},
],
"star_thresholds": [1, 300, 500],
"enable_leaderboard": true,
},

{
"name": "Positive",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Make loops to add additional time."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,7,8,9,10,11,12,16,17,18,19,20,21,25,26,27,55,56,57,61,62,63,64,65,66,70,71,72,73,74,75,79,80,81],
"bubbles": [4,4,5,5,6,6,13,13,14,14,15,15,22,22,23,23,24,24,28,28,29,29,30,30,31,31,32,32,33,33,34,34,35,35,36,36,37,37,38,38,39,39,40,40,41,41,42,42,43,43,44,44,45,45,46,46,47,47,48,48,49,49,50,50,51,51,52,52,53,53,54,54,58,58,59,59,60,60,67,67,68,68,69,69,76,76,77,77,78,78],
"time_limit":30,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":45},
],
"star_thresholds": [1, 300, 450],
"enable_leaderboard": true,
},

{
"name": "Positive 2",
"difficulty": 3,
"description": ["Make 20 loops."],
"tips": ["Make loops to add additional time."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,7,8,9,10,11,12,16,17,18,19,20,21,25,26,27,55,56,57,61,62,63,64,65,66,70,71,72,73,74,75,79,80,81],
"time_limit":30,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":20},
],
"star_thresholds": [1, 300, 450],
"enable_leaderboard": true,
},


{
"name": "Crossing Guard",
"difficulty":4,
"description": ["Capture the monkey."],
"columns": 9, "rows": 9, "colors":[1,2,3,4,5], "color_weighting":[5,5,5,5,3],
"empties": [1 ,2,8,9,10,11,17,18,19,20,26,27,28,29,35,36,37,38,44,45,46,47,53,54,55,56,62,63,64,65,71,72,73,74,80,81],
"drops": [ {"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4},{"3":1}, {"4":2}, {"6":3}, {"7":4} ],
"dropsOnScreenAtOnce": 4,
"captures": [{"41":1}],
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},

{
"name": "U-Turn",
"difficulty": 5,
"description": ["Make a chain from the left most point,","to the right most point."],
"tips": ["If needed, use poppers", "and yin yang power ups."],
"columns": 9, "rows": 9, "colors": [1,2,3,4], "color_weighting":[1,1,1,1],
"empties": [5,10,14,18,19,23,27,28,32,36,37,41,45,46,50,54,55,59,63,64,65,71,72,73,74,75,79,80,81],
"moves_limit":30,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainWidth":9, "chainHeight":8, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Reverse",
"difficulty":4,
"description": ["Drop the cupcakes and","release the bubbles."],
"columns": 9, "rows": 9, "colors":[1,2,3,4,5],
"empties": [5,13,14,15,22,23,24,30,31,32,33,34,38,39,40,41,42,43,44,47,48,49,50,51,52,53,55,56,57,58,59,60,61,62,63],
"drops": [ {"1":1}, {"9":2}],
"bubbles": [1,1,2,2,3,3,4,4,6,6,7,7,8,8,9,9,10,10,11,11,12,12,16,16,17,17,18,18,19,19,20,20,21,21,25,25,26,26,27,27,28,28,29,29,35,35,36,36,37,37,45,45,46,46,54,54,64,64,65,65,66,66,67,67,68,68,69,69,70,70,71,71,72,72,73,73,74,74,75,75,76,76,77,77,78,78,79,79,80,80,81,81],
"dropsOnScreenAtOnce": 2,
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":1, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":1, "playSound":true},
{"type":7, "targetValue":46},
],
"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},

{
"name": "Mind the gap",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,9,10,11,12,13,20,21,22,23,30,31,32,33,39,40,42,43,48,49,50,51,52,59,60,73,81],
"bubbles": [3,3,4,4,5,5,6,6,7,7,8,8,14,14,15,15,16,16,17,17,18,18,19,19,24,24,25,25,26,26,27,27,28,28,29,29,34,34,35,35,36,36,37,37,38,38,41,41,44,44,45,45,46,46,47,47,53,53,54,54,55,55,56,56,57,57,58,58,61,61,62,62,63,63,64,64,65,65,66,66,67,67,68,68,69,69,70,70,71,71,72,72,74,74,75,75,76,76,77,77,78,78,79,79,80,80],
"moves_limit":25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":53},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},

{
"name": "The Big O",
"difficulty": 3,
"description": ["Capture the animal."],
"tips": ["Make every move count."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5], "color_weighting":[1,3,3,3,3],
"empties": [1,2,8,9,10,18,31,32,33,40,42,49,50,51,64,72,73,74,80,81],
"captures": [ {"41":1}],
"capturesOnScreenAtOnce": 1,
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":1, "playSound":true},
],

"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},





{
"name": "Path of Dots",
"difficulty": 5,
"description": ["Make a line from the ","top left corner to", "the bottom right corner."],
"tips": ["Loops are a big help."],
"columns": 9, "rows": 9, "colors": [1,2,3,4], "color_weighting":[1,1,1,1],
"empties": [2,3,4,5,6,7,8,9,14,23,59,68,73,74,75,76,77,78,79,80],
"moves_limit":20,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainWidth":9, "chainHeight":9, "visible":false},
],
"star_thresholds": [1, 250, 350],
"enable_leaderboard": true,
},


{
"name": "Butterfly",
"difficulty": 3,
"description": ["Make 15 loops."],
"tips": ["Make loops to add additional time."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5], "color_weighting":[5,5,5,5,1],
"empties": [2,3,4,5,6,7,8,13,14,15,22,23,24,58,59,60,67,68,69,74,75,76,77,78,79,80],
"time_limit":30,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":15},
],
"star_thresholds": [1, 300, 450],
"enable_leaderboard": true,
},


{
"name": "Bubble Face",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Make every move count."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [4,5,6,13,14,15,22,23,24,28,29,30,31,32,33,34,35,36,37,38,39,43,44,45,46,47,53,54,64,65,71,72,73,74,75,79,80,81],
"bubbles": [1,1,2,2,3,3,7,7,8,8,9,9,10,10,11,11,12,12,16,16,17,17,18,18,19,19,20,20,21,21,25,25,26,26,27,27,40,40,41,41,42,42,48,48,49,49,50,50,51,51,52,52,55,55,56,56,57,57,58,58,59,59,60,60,61,61,62,62,63,63,66,66,67,67,68,68,69,69,70,70,76,76,77,77,78,78],
"moves_limit":25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":43},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},



{
"name": "Loop Alien",
"difficulty": 3,
"description": ["Make 25 loops."],
"tips": ["Make loops to add additional time."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5], "color_weighting":[5,5,5,5,1],
"empties": [1,2,3,7,8,9,10,11,17,18,19,27,30,34,39,43,48,52,55,63,64,65,71,72,73,74,75,79,80,81],
"time_limit":40,
"time_bonus_nerf": 3,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":25},
],
"star_thresholds": [1, 600, 850],
"enable_leaderboard": true,
},

{
"name": "Lonely Animal",
"difficulty": 5,
"description": ["Capture the monkey."],
"tips": ["Loop to add more time."],
"columns": 9, "rows": 9, "colors": [1,2,3,4],
"empties": [4,5,6,28,36,37,45,46,54,76,77,78],
"captures": [ {"41":1}],
"capturesOnScreenAtOnce": 1,
"time_limit":30,
"time_bonus_nerf": 3,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
],
"star_thresholds": [1, 500, 700],
"enable_leaderboard": true,
},

{
"name": "Diamond Bubble",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Make loops to add additional time."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [5,13,15,21,25,29,35,37,45,47,53,57,61,67,69,77],
"bubbles": [1,1,2,2,3,3,4,4,6,6,7,7,8,8,9,9,10,10,11,11,12,12,14,14,16,16,17,17,18,18,19,19,20,20,22,22,23,23,24,24,26,26,27,27,28,28,30,30,31,31,32,32,33,33,34,34,36,36,38,38,39,39,40,40,41,41,42,42,43,43,44,44,46,46,48,48,49,49,50,50,51,51,52,52,54,54,55,55,56,56,58,58,59,59,60,60,62,62,63,63,64,64,65,65,66,66,68,68,70,70,71,71,72,72,73,73,74,74,75,75,76,76,78,78,79,79,80,80,81,81],
"time_limit":20,
"time_bonus_nerf": 2,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":65},
],
"star_thresholds": [1, 500, 700],
"enable_leaderboard": true,
},



{
"name": "3 of a Kind",
"difficulty":4,
"description": ["Capture the animals."],
"tips": ["Loop the animals", "to capture them."],
"columns": 9, "rows": 9, "colors":[1,2,3,4,5],
"empties": [3,4,5,6,7,8,9],
"captures": [ {"39":2},{"41":2},{"43":2}],
"capturesOnScreenAtOnce": 3,
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":2, "targetValue":3},
],
"star_thresholds": [1, 250, 350],
"enable_leaderboard": true,
},

{
"name": "Bubble X",
"difficulty": 5,
"description": ["Clear all the bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5], "color_weighting":[1,1,1,1,1],
"empties": [1,9,11,17,21,25,31,33,41,49,51,57,61,65,71,73,81],
"bubbles": [2,2,3,3,4,4,5,5,6,6,7,7,8,8,10,10,12,12,13,13,14,14,15,15,16,16,18,18,19,19,20,20,22,22,23,23,24,24,26,26,27,27,28,28,29,29,30,30,32,32,34,34,35,35,36,36,37,37,38,38,39,39,40,40,42,42,43,43,44,44,45,45,46,46,47,47,48,48,50,50,52,52,53,53,54,54,55,55,56,56,58,58,59,59,60,60,62,62,63,63,64,64,66,66,67,67,68,68,69,69,70,70,72,72,74,74,75,75,76,76,77,77,78,78,79,79,80,80],
"moves_limit":30,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":7, "targetValue":64},
],
"star_thresholds": [1, 300, 500],
"enable_leaderboard": true,
},



{
"name": "Cupcake Invasion",
"difficulty":4,
"description": ["Drop all the cupcakes."],
"tips": ["Make every move count."],
"columns": 8, "rows": 9, "colors":[1,2,3,4,5],
"drops": [ {"1":1}, {"2":2}, {"3":3}, {"4":4},{"5":1},{"6":2}, {"7":3}, {"8":4}, {"17":1},{"18":2}, {"19":3}, {"20":4}, {"21":1},{"22":2}, {"23":3}, {"24":4},{"33":1},{"34":2},{"35":3},{"36":4},{"37":1},{"38":2},{"39":3}, {"40":4}],
"dropsOnScreenAtOnce": 32,
"moves_limit": 20,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":6, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":6, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":6, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":6, "playSound":true},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},

{
"name": "Animal Groups",
"difficulty":4,
"description": ["Capture all the animals."],
"columns": 9, "rows": 9, "colors":[1,2,3,4,5], "color_weighting":[5,5,5,5,3],
"capturesOnScreenAtOnce": 4,
"captures": [{"30":1},{"34":2},{"48":3},{"52":4}],
"moves_limit": 25,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
{"type":6,  "capture_obj":2, "targetValue":1},
{"type":6,  "capture_obj":3, "targetValue":1},
{"type":6,  "capture_obj":4, "targetValue":1},
],
"star_thresholds": [1, 500, 600],
"enable_leaderboard": true,
},
 
{
"name": "Five Loop Circus",
"difficulty": 3,
"description": ["Make 5 loops in each color."],
"tips": ["Make 5 loops in each color"],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [12,16,20,21,25,26,56,57,61,62,66,70],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":5, "color":1},
{"type":3, "targetValue":5, "color":2},
{"type":3, "targetValue":5, "color":3},
{"type":3, "targetValue":5, "color":4},
{"type":3, "targetValue":5, "color":5},
],
"star_thresholds": [1, 600, 700],
"enable_leaderboard": true,
},


{
"name": "Bubble Stacks",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [11,12,16,17,20,21,25,26,29,30,34,35,38,39,43,44,47,48,52,53,56,57,61,62,65,66,70,71],
"bubbles": [1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,13,13,14,14,15,15,18,18,19,19,22,22,23,23,24,24,27,27,28,28,31,31,32,32,33,33,36,36,37,37,40,40,41,41,42,42,45,45,46,46,49,49,50,50,51,51,54,54,55,55,58,58,59,59,60,60,63,63,64,64,67,67,68,68,69,69,72,72,73,73,74,74,75,75,76,76,77,77,78,78,79,79,80,80,81,81],
"time_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":53},
],
"star_thresholds": [1, 100, 200],
"enable_leaderboard": true,
},

{
"name": "Bubbleoid",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,7,8,9,10,18,19,21,25,27,41,55,57,61,63,64,72,73,74,75,79,80,81],
"bubbles": [4,5,6,11,12,13,14,15,16,17,20,22,23,24,26,28,29,30,31,32,33,34,35,36,37,38,39,40,42,43,44,45,46,47,48,49,50,51,52,53,54,56,58,59,60,62,65,66,67,68,69,70,71,76,77,78],
"moves_limit":20,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":56},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Old School Exact",
"difficulty": 2,
"description": ["Clear exactly 40 of each dot color."],
"tips": ["Loops add additional time."],
"columns": 6, "rows": 6, "colors":[1,2,3,4,5],
"moves_limit": 35,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":1, "color":1, "targetValue":40, "targetValueType":2},
{"type":1, "color":2, "targetValue":40, "targetValueType":2},
{"type":1, "color":3, "targetValue":40, "targetValueType":2},
{"type":1, "color":4, "targetValue":40, "targetValueType":2},
{"type":1, "color":5, "targetValue":40, "targetValueType":2},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},



{
"name": "C-Turn",
"difficulty": 5,
"description": ["Make a line from top right","to bottom right."],
"tips": ["If needed, use poppers", "and yin yang power ups."],
"columns": 9, "rows": 9, "colors": [1,2,3,4], "color_weighting":[2,2,2,3],
"empties": [9,17,18,26,27,32,33,34,35,36,41,42,43,44,45,50,51,52,53,54,63,72],
"moves_limit":30,
"max_moves_bonus":0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainWidth":6, "chainHeight":9, "visible":false},
],
"star_thresholds": [1, 150, 200],
"enable_leaderboard": true,
},


{
"name": "Animal Round Up",
"difficulty":4,
"description": ["Capture all the animals."],
"columns": 9, "rows": 9, "colors":[1,2,3,4,5], "color_weighting":[5,5,5,5,3],
"capturesOnScreenAtOnce": 4,
"captures": [{"23":1},{"39":2},{"43":3},{"59":4}],
"time_limit": 30,
"time_bonus_nerf": 2,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
{"type":6,  "capture_obj":2, "targetValue":1},
{"type":6,  "capture_obj":3, "targetValue":1},
{"type":6,  "capture_obj":4, "targetValue":1},
],
"star_thresholds": [1, 500, 600],
"enable_leaderboard": true,
},

{
"name": "Plastic",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [4,6,12,14,16,22,24,28,32,36,38,44,46,48,52,54,68,76,78],
"bubbles": [5,5,13,13,15,15,23,23,37,37,45,45,47,47,53,53,77,77],
"moves_limit":25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":9},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},

{
"name": "Arrows",
"difficulty":4,
"description": ["Score 1200 points."],
"tips": ["Loops add additional time."],
"columns": 9, "rows": 9, "colors":[2,3,4,5],
"empties": [1,2,3,4,6,7,8,9,10,11,12,16,17,18,19,20,26,27,28,29,30,34,35,36,37,38,39,43,44,45,46,47,48,52,53,54,55,56,62,63,64,65,66,70,71,72,73,74,75,76,78,79,80,81],
"time_limit": 30,
"time_bonus_nerf": 2,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper", "yinyang"],
"star_thresholds": [1200, 1500, 1700],
"enable_leaderboard": true,
},


{
"name": "Red Means Stop",
"difficulty": 3,
"description": ["Make 2 chains of each color except red.","You cannot make any red loops."],
"tips": ["Use a Yin Yang or reshuffler."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],"color_weighting":[1,1,1,5,1],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":2},
{"type":3, "color":2, "targetValue":2},
{"type":3, "color":3, "targetValue":2},
{"type":3, "color":5, "targetValue":2},
{"type":3, "color":4, "targetValueType":2, "targetValue":0, "visible":false},
],
"star_thresholds": [1, 300, 500],
"enable_leaderboard": true,
},

{
"name": "Two Tribes",
"difficulty": 3,
"description": ["Pick one side to capture."],
"tips": ["Completing a loop removes the dot color."],
"columns": 9, "rows": 9, "colors": [1,2,3,4],
"empties": [5,14,23,32,41,50,59,68,77],
"captures": [ {"21":1}, {"25":1}, {"30":1}, {"34":1}, {"39":1}, {"43":1}, {"48":1}, {"52":1}],
"capturesOnScreenAtOnce": 8,
"moves_limit": 20,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6, "capture_obj":1, "targetValue":4, "playSound":true},
],

"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},

{
"name": "Purple People Eaters",
"difficulty": 3,
"description": ["Complete 3 loops in each color."],
"tips": ["Completing a loop removes the dot color."],
"columns": 7, "rows": 7, "colors": [1,2,3,4,5],"color_weighting":[1,1,9,1,1],
"moves_limit": 18,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":3},
{"type":3, "color":2, "targetValue":3},
{"type":3, "color":3, "targetValue":3},
{"type":3, "color":4, "targetValue":3},
{"type":3, "color":5, "targetValue":3},
],

"star_thresholds": [1, 500, 750],
"enable_leaderboard": true,
},

{
"name": "Divide",
"difficulty": 3,
"description": ["Make two  chains from the top left"," corner to the very bottom and very right."],
"tips": ["Yin yangs and poppers", "help make loops."],
"columns": 9, "rows": 9, "colors": [1,2,3,4],
"empties": [2,3,4,5,6,7,8,9,13,14,15,18,36,37,44,45,46,53,54,55,62,63,64,65,69,70,71,72,73,74,75,77,78,79,80,81],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainHeight":9},
{"type":2, "targetValue":1, "chainWidth":9},
],
"star_thresholds": [1, 300, 600],
"enable_leaderboard": true,
},



{
"name": "Thorns",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,3,4,6,8,9,16,17,18,19,26,27,34,35,37,45,47,49,51,52,54,55,58,59,61,64,65,72,73,75,76,78,80],
"bubbles": [2,2,5,5,7,7,10,10,25,25,28,28,36,36,46,46,50,50,56,56,60,60,63,63,74,74,77,77,79,79,81,81,],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":16},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},

{
"name": "Zig Zag",
"difficulty": 5,
"description": ["Make a line from the very top","to the very bottom in 30 secs."],
"tips": ["Make a line from the very top","to the very bottom in 30 secs."],
"columns": 8, "rows": 9, "colors": [1,2,3,4], "color_weighting":[1,1,2,1],
"empties": [1,2,3,8,9,10,15,16,17,22,23,24,29,30,31,32,33,39,40,41,42,48,49,50,51,52,57,58,64,65,71,72],
"time_limit":30,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainHeight":9, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Stuck in the Middle",
"difficulty": 3,
"description": ["Capture the animals in the middle."],
"tips": ["There are two animals to capture"],
"columns": 9, "rows": 9, "colors": [1,2,3,4],
"empties": [5,14,23,37,38,39,43,44,45,59,68,77],
"captures": [{"41":1},{"41":2}],
"capturesOnScreenAtOnce": 1,
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
{"type":6,  "capture_obj":2, "targetValue":1},
],
"star_thresholds": [1, 400, 600],
"enable_leaderboard": true,
},


{
"name": "Cross",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,7,8,9,10,12,16,18,19,20,21,25,26,27,55,56,57,61,62,63,64,66,70,72,73,74,75,79,80,81],
"bubbles": [4,4,5,5,6,6,11,11,13,13,14,14,15,15,17,17,22,22,23,23,24,24,28,28,29,29,30,30,31,31,32,32,33,33,34,34,35,35,36,36,37,37,38,38,39,39,40,40,41,41,42,42,43,43,44,44,45,45,46,46,47,47,48,48,49,49,50,50,51,51,52,52,53,53,54,54,58,58,59,59,60,60,65,65,67,67,68,68,69,69,71,71,76,76,77,77,78,78],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":49},
],
"star_thresholds": [1, 200, 250],
"enable_leaderboard": true,
},

{
"name": "Inner or Outer",
"difficulty": 3,
"description": ["Capture the animal with","an outside or inside loop."],
"tips": ["Use YinYangs to simplify the board"],
"columns": 9, "rows": 9, "colors": [1,2,3,4],
"empties": [21,22,23,24,25,30,34,39,43,48,52,57,58,59,60,61],
"captures": [{"41":1}],
"capturesOnScreenAtOnce": 1,
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
],
"star_thresholds": [1, 250, 350],
"enable_leaderboard": true,
},

{
"name": "Checkerboard",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [4,5,6,13,14,15,22,23,24,28,29,30,34,35,36,37,38,39,43,44,45,46,47,48,52,53,54,58,59,60,67,68,69,76,77,78],
"bubbles": [1,1,2,2,3,3,7,7,8,8,9,9,10,10,11,11,12,12,16,16,17,17,18,18,19,19,20,20,21,21,25,25,26,26,27,27,31,31,32,32,33,33,40,40,41,41,42,42,49,49,50,50,51,51,55,55,56,56,57,57,61,61,62,62,63,63,64,64,65,65,66,66,70,70,71,71,72,72,73,73,74,74,75,75,79,79,80,80,81,81],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":45},
],
"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},

{
"name": "Bowtie",
"difficulty": 1,
"description": ["Make 2 lines from ","one side to the other."],
"tips": ["Make 2 lines that spans", "the width of the board."],
"columns": 9, "rows": 9, "colors": [1,2,3,4],
"empties": [2,3,4,5,6,7,8,12,13,14,15,16,22,23,24,32,50,58,59,60,66,67,68,69,70,74,75,76,77,78,79,80],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":2, "chainWidth":9, "visible":true},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},

{
"name": "Slices",
"difficulty": 3,
"description": ["Capture the monkey."],
"tips": ["You'll have to capture him","more than once."],
"columns": 9, "rows": 9, "colors": [1,2,3,4],
"empties": [4,5,6,31,32,33,49,50,51,76,77,78],
"captures": [{"41":1},{"41":1}],
"capturesOnScreenAtOnce": 1,
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":2},
],
"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},


{
"name": "Cupcake Falls",
"difficulty": 3,
"description": ["Drop the cupcakes."],
"tips": ["Loops will help greatly."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [2,4,6,8,10,12,14,16,18,20,22,24,26,28,30,32,34,36],
"drops": [ {"1":1},{"3":2},{"5":4},{"7":3},{"9":1},{"11":2},{"13":3},{"15":4},{"17":3} ],
"dropsOnScreenAtOnce": 2,
"powerups": ["reshuffler","popper","yinyang"],
"moves_limit": 30,
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":2, "targetValue":2, "playSound":true},
{"type":8, "drop_obj":3, "targetValue":3, "playSound":true},
{"type":8, "drop_obj":4, "targetValue":2, "playSound":true},

],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Spider",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Use loops to clear hard to get bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [3,7,12,16,21,25,30,31,33,34,40,42,48,49,51,52,57,61,66,70,75,79],
"bubbles": [1,1,2,2,4,4,5,5,6,6,8,8,9,9,10,10,11,11,13,13,14,14,15,15,17,17,18,18,19,19,20,20,22,22,23,23,24,24,26,26,27,27,28,28,29,29,32,32,35,35,36,36,37,37,38,38,39,39,41,41,43,43,44,44,45,45,46,46,47,47,50,50,53,53,54,54,55,55,56,56,58,58,59,59,60,60,62,62,63,63,64,64,65,65,67,67,68,68,69,69,71,71,72,72,73,73,74,74,76,76,77,77,78,78,80,80,81,81],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":59},
],
"star_thresholds": [1, 300, 400],
"enable_leaderboard": true,
},




{
"name": "Sandboxes",
"difficulty": 3,
"description": ["Capture 2 animals."],
"tips": ["Use your moves wisely."],
"columns": 8, "rows": 9, "colors": [1,2,3,4],"color_weighting":[1,1,2,1],
"empties": [20,21,27,28,29,30,43,44,45,46,52,53],
"captures": [{"19":1},{"22":1},{"51":1},{"54":1}],
"capturesOnScreenAtOnce": 4,
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":2},
],
"star_thresholds": [1, 300, 350],
"enable_leaderboard": true,
},

{
"name": "Over the Rainbow",
"difficulty": 1,
"description": ["Make a line from the top","to the bottom of the board."],
"tips": ["Make a line from the top","to the bottom of the board."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,4,6,7,8,9,10,11,17,18,19,27,50,58,59,60,73,74,75,76,78,79,80,81],
"starting_board": {"4":4, "5":4, "6":4, "12":4, "13":4, "14":5, "15":4, "16":4,"20":4, "21":4, "22":5, "23":2, "24":5, "25":4, "26":4, "28":4, "29":4, "30":5, "31":2, "32":1, "33":2, "34":5, "35":4, "36":4, "37":5, "38":5, "39":2, "40":1, "41":3, "42":1, "43":2, "44":5, "45":5, "46":2, "47":2, "48":1, "49":3, "51":3, "52":1,  "53":2, "54":2, "55":1, "56":1, "57":3, "61":3, "62":1, "63":1, "64":2, "65":2, "66":1, "67":3, "69":3, "70":1, "68":3, "71":2, "72":2},
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainHeight":9, "visible":false},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},

{
"name": "Rainbow Connection",
"difficulty": 1,
"description": ["Can you make a line from one","end of the rainbow to the other?"],
"tips": ["Make a line from", "the left end to the right end."],
"columns": 9, "rows": 7, "colors": [1,2,3,4,5],"color_weighting":[2,2,2,2,1],
"empties": [1,2,3,7,8,9,10,11,17,18,19,27,28,36,46,50,54,55,58,59,60,63],
"starting_board": {"4":4, "5":4, "6":4, "12":4, "13":4, "14":5, "15":4, "16":4,"20":4, "21":4, "22":5, "23":2, "24":5, "25":4, "26":4, "28":4, "29":4, "30":5, "31":2, "32":1, "33":2, "34":5, "35":4, "36":4, "37":5, "38":5, "39":2, "40":1, "41":3, "42":1, "43":2, "44":5, "45":5, "46":2, "47":2, "48":1, "49":3, "51":3, "52":1,  "53":2,  "55":1, "56":1, "57":3, "61":3, "62":1, "63":1},
"moves_limit": 30,
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainWidth":9, "visible":false},
],
"star_thresholds": [1, 250, 300],
"enable_leaderboard": true,
},

{
"name": "Missed Connections",
"difficulty": 3,
"description": ["Can you reunite the two monkeys?"],
"tips": ["One loop will capture both monkeys"],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"empties": [1,6,10,15,19,28,33,35,36,37,38,40,41,42,44,45,49,50,67,68,73,74,75,76,77],
"captures": [{"32":1}, {"51":1}],
"capturesOnScreenAtOnce": 2,
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":2},
],
"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},

{
"name": "Loopizoid",
"difficulty": 3,
"description": ["Complete 3 loops in each color."],
"tips": ["Completing a loop removes the dot color."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],"color_weighting":[1,1,9,1,1],
"empties": [13,15,22,24,29,30,34,35,47,48,52,53,58,60,67,69],
"moves_limit": 30,
"max_moves_bonus": 0,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "color":1, "targetValue":3},
{"type":3, "color":2, "targetValue":3},
{"type":3, "color":3, "targetValue":3},
{"type":3, "color":4, "targetValue":3},
{"type":3, "color":5, "targetValue":3},
],

"star_thresholds": [1, 500, 600],
"enable_leaderboard": true,
},

{
"name": "Kitchen Sink",
"difficulty": 3,
"description": ["Capture the animal, clear the bubbles, "," drop the cupcakes, and make a","line across the board."],
"tips": ["Make every moves count!"],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"empties": [5,32,37,40,41,42,45,50,77],
"captures": [{"66":1}],
"capturesOnScreenAtOnce": 1,
"bubbles": [1,1,2,2,3,3,4,4,10,10,11,11,12,12,13,13,19,19,20,20,21,21,22,22,28,28,29,29,30,30,31,31],
"drops": [ {"7":1}, {"8":2},{"7":1}, {"8":2}],
"dropsOnScreenAtOnce": 2,
"moves_limit":20,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
{"type":2, "targetValue":1, "chainWidth":9},
{"type":7, "targetValue":16},
{"type":8, "drop_obj":2, "targetValue":2},
{"type":8, "drop_obj":2, "targetValue":2},
],
"star_thresholds": [1, 300, 600],
"enable_leaderboard": true,
},





{
"name": "Blocks!",
"difficulty": 3,
"description": ["Break the blocks to clear the bubble."],
"tips": ["Clear dots next to blocks", "to break blocks."],
"columns": 5, "rows": 5, "colors":[1,2,3,4],
"starting_board": {"2":3,"3":3, "4":3},
"tutorialPointerPath": [2,3,4],
"blocks": [7,8,9],
"bubbles": [12,12,13,13,14,14,17,17,18,18,19,19,22,22,23,23,24,24],
"moves_limit":20,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":9},
],
"star_thresholds": [1, 50, 100],
"enable_leaderboard": true,
},



{
"name": "Dot Falls",
"difficulty": 4,
"tips": ["Completing a loop adds", "additional time."],
"description": ["Complete 25 loops."],
"columns": 7, "rows": 7, "colors":[1,2,3,4],
"blocks": [9,9,9,11,11,11,13,13,13],
"time_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":25},
],
"star_thresholds": [1, 500, 750],
"enable_leaderboard": true,
},


{
"name": "Step Up",
"difficulty": 3,
"description": ["Free the bubbles trapped in the blocks."],
"tips": ["Loops help simplify the board."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"blocks": [1,1,1,11,11,11,21,21,21,25,25,25,17,17,17,9,9,9],
"bubbles": [1,1,11,11,21,21,25,25,17,17,9,9],
"moves_limit":30,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":7, "targetValue":6},
],
"star_thresholds": [1, 400, 600],
"enable_leaderboard": true,
},

{
"name": "Walled Cross",
"difficulty": 4,
"tips": ["Make every move count."],
"description": ["Complete 15 loops."],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"blocks": [4,4,5,5,6,6,13,13,14,14,15,15,22,22,23,23,24,24,28,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,58,59,60,67,68,69,76,77,78],
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":20},
],
"star_thresholds": [1, 500, 750],
"enable_leaderboard": true,
},

{
"name": "Animal Breakout",
"difficulty": 4,
"tips": ["Make every move count."],
"description": ["Capture the animals."],
"columns": 7, "rows": 7, "colors":[1,2,3,4],
"blocks": [31,31,31,32,32,32,33,33,33,38,38,38,40,40,40,45,45,45,46,46,46,47,47,47],
"captures": [{"39":3}],
"capturesOnScreenAtOnce": 1,
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":3, "targetValue":1}
],
"star_thresholds": [1, 500, 750],
"enable_leaderboard": true,
},



{
"name": "Steps",
"difficulty": 5,
"description": ["Clear the bubbles"],
"tips": ["You have to break the barrier first."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"bubbles": [19,19,20,20,28,28,29,29,37,37,38,38,39,39,40,40,46,46,47,47,48,48,49,49,55,55,56,56,57,57,58,58,59,59,60,60,64,64,65,65,66,66,67,67,68,68,69,69,73,73,74,74,75,75,76,76,77,77,78,78,79,79,80,80,81,81],
"blocks": [1,1,1,2,2,2,3,3,3,10,10,10,11,11,11,12,12,12,21,21,21,22,22,22,23,23,23,30,30,30,31,31,31,32,32,32,41,41,41,42,42,42,43,43,43,50,50,50,51,51,51,52,52,52,61,61,61,62,62,62,63,63,63,70,70,70,71,71,71,72,72,72],
"moves_limit": 40,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":7, "targetValue":33},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Break On Through",
"difficulty": 5,
"description": ["Make a line from the very left","to the very right"],
"tips": ["You have to break the barrier first."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,9,10,18,19,27,28,36,46,54,55,63,64,72,73,81],
"blocks": [4,4,4,5,5,5,6,6,6,13,13,13,14,14,14,15,15,15,22,22,22,23,23,23,24,24,24,31,31,31,32,32,32,33,33,33,40,40,40,41,41,41,42,42,42,49,49,49,50,50,50,51,51,51,58,58,58,59,59,59,60,60,60,67,67,67,68,68,68,69,69,69,76,76,76,77,77,77,78,78,78],
"moves_limit": 50,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainWidth":9, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},


{
"name": "Stone Wall",
"difficulty": 4,
"tips": ["Completing a loop adds", "additional time."],
"description": ["Complete 25 loops."],
"columns": 7, "rows": 7, "colors":[1,2,3,4],
"blocks": [1,1,3,3,5,5,7,7,8,8,10,10,12,12,14,14,15,15,17,17,19,19,21,21,22,22,24,24,26,26,28,28,29,29,31,31,33,33,35,35,36,36,38,38,40,40,42,42,43,43,45,45,47,47,49,49],
"time_limit":25,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":3, "targetValue":25},
],
"star_thresholds": [1, 500, 750],
"enable_leaderboard": true,
},

{
"name": "Break Out",
"difficulty": 5,
"description": ["Make a line from the very top","to the very bottom"],
"tips": ["You have to break the barrier first."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"empties": [1,2,3,4,6,7,8,9,73,74,75,76,78,79,80,81],
"blocks": [37,37,37,38,38,38,39,39,39,40,40,40,41,41,41,42,42,42,43,43,43,44,44,44,45,45,45,46,46,46,47,47,47,48,48,48,49,49,49,50,50,50,51,51,51,52,52,52,53,53,53,54,54,54],
"moves_limit": 40,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":2, "targetValue":1, "chainHeight":9, "visible":false},
],
"star_thresholds": [1, 200, 300],
"enable_leaderboard": true,
},

{
"name": "Layer Cake",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Break the barriers to get to the bubbles."],
"columns": 9, "rows": 9, "colors": [1,2,3,4,5],
"bubbles":[37,37,38,38,39,39,40,40,41,41,42,42,43,43,44,44,45,45,64,64,65,65,66,66,67,67,68,68,69,69,70,70,71,71,72,72,73,73,74,74,75,75,76,76,77,77,78,78,79,79,80,80,81,81],
"blocks": [19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26,27,27,28,28,29,29,30,30,31,31,32,32,33,33,34,34,35,35,36,36,46,46,47,47,48,48,49,49,50,50,51,51,52,52,53,53,54,54,55,55,56,56,57,57,58,58,59,59,60,60,61,61,62,62,63,63],
"moves_limit":40,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":27},
],
"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},

{
"name": "Breaking Ground",
"difficulty": 4,
"description": ["Drop the fruits."],
"tips": ["Make every move count."],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"blocks": [40,40,41,41,42,42,49,49,50,50,51,51,55,55,56,56,57,57,58,58,59,59,60,60,61,61,62,62,63,63,64,64,65,65,66,66,67,67,68,68,69,69,70,70,71,71,72,72,73,73,74,74,75,75,76,76,77,77,78,78,79,79,80,80,81,81],
"moves_limit":30,
"drops":[{"4":1},{"5":1}, {"6":1}],
"dropsOnScreenAtOnce":1,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":8, "drop_obj":1, "targetValue":3, "playSound":true},
],
"star_thresholds": [1, 300, 500],
"enable_leaderboard": true,
},

{
"name": "Square Pegs",
"difficulty": 3,
"description": ["Clear the bubbles."],
"tips": ["Break the barrier to get to the bubbles."],
"columns": 8, "rows": 8, "colors": [1,2,3,4,5],
"bubbles": [1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,15,16,16,17,17,18,18,21,21,22,22,25,25,26,26,29,29,30,30,35,35,36,36,39,39,40,40,43,43,44,44,47,47,48,48,49,49,50,50,53,53,54,54,57,57,58,58,61,61,62,62],
"blocks": [19,19,19,20,20,20,23,23,23,24,24,24,27,27,27,28,28,28,31,31,31,32,32,32,33,33,33,34,34,34,37,37,37,38,38,38,41,41,41,42,42,42,45,45,45,46,46,46,51,51,51,52,52,52,55,55,55,56,56,56,59,59,59,60,60,60,63,63,63,64,64,64],
"moves_limit":35,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":7, "targetValue":40},
],
"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},

{
"name": "Missed Connections 2",
"difficulty": 3,
"description": ["Can you reunite the two monkeys?"],
"tips": ["One or two loops", "will capture both monkeys."],
"columns": 9, "rows": 9, "colors":[1,2,3,4],
"empties": [1,6,10,15,19,28,33,34,36,37,38,40,41,42,43,45,49,50,67,68,73,74,75,76,77],
"captures": [{"22":1}, {"61":1}],
"capturesOnScreenAtOnce": 2,
"moves_limit":30,
"powerups": ["reshuffler", "popper",  "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":2},
],
"star_thresholds": [1, 200, 400],
"enable_leaderboard": true,
},

{
"name": "Dig Dug",
"difficulty": 3,
"description": ["Release the bubbles","at the bottom."],
"tips": ["Loops help simplify the board."],
"columns": 6, "rows": 9, "colors": [1,2,3,4,5],
"blocks": [31,31,31,32,32,32,33,33,33,34,34,34,35,35,35,36,36,36,37,37,37,38,38,38,39,39,39,40,40,40,41,41,41,42,42,42,43,43,43,44,44,44,45,45,45,46,46,46,47,47,47,48,48,48],
"bubbles": [49,49,50,50,51,51,52,52,53,53,54,54],
"moves_limit":40,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":7, "targetValue":6},
],
"star_thresholds": [1, 400, 600],
"enable_leaderboard": true,
},

{
"name": "Trapped",
"difficulty": 3,
"description": ["Free the animals trapped","in the box."],
"tips": ["Loops help simplify the board."],
"columns": 6, "rows": 9, "colors": [1,2,3,4],
"blocks": [31,31,31,32,32,32,33,33,33,34,34,34,35,35,35,36,36,36,37,37,37,38,38,38,39,39,39,40,40,40,41,41,41,42,42,42,43,43,43,45,45,45,46,46,46,48,48,48,49,49,49,50,50,50,51,51,51,52,52,52,53,53,53,54,54,54],
"captures": [{"44":1},{"47":2}],
"capturesOnScreenAtOnce": 2,
"moves_limit":50,
"powerups": ["reshuffler", "popper", "yinyang"],
"objectives":
[
{"type":6,  "capture_obj":1, "targetValue":1},
{"type":6,  "capture_obj":2, "targetValue":1}
],
"star_thresholds": [1, 400, 600],
"enable_leaderboard": true,
},

]}






